<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>KTextEditor::BlockSelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>BlockSelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionDCOPInterface.html</anchorfile>
      <anchor>a8a9f71173d039cbce0f2b38461fea9b9</anchor>
      <arglist>(BlockSelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BlockSelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionDCOPInterface.html</anchorfile>
      <anchor>a193a52d793a6368fbb25abf6f4155dd0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::BlockSelectionInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>blockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>a96b684dcba74d12ce6a0775d7ce951c4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setBlockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>acb686f1370fa922eb6f858e1938f3acb</anchor>
      <arglist>(bool on)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>toggleBlockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>aa33f8e972e90e48da1242e2de0c18840</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHE::BytesEditInterface</name>
    <filename>classKHE_1_1BytesEditInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setData</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a66618c8a716862035096c98f45a2ed27</anchor>
      <arglist>(char *D, int S, int RS=-1, bool KM=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a5af67582a2bdc09048f30523b7b33781</anchor>
      <arglist>(bool RO=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setMaxDataSize</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a5da63c57f8fac987234d456a247641bc</anchor>
      <arglist>(int MS)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setAutoDelete</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>aba650ad9ccc76690813a073fc4ebcfb4</anchor>
      <arglist>(bool AD=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setKeepsMemory</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a1e5c7168a10bc01e1d539b1e296deac2</anchor>
      <arglist>(bool KM=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setOverwriteOnly</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a1bc244999254d8891c82fd330fd1755e</anchor>
      <arglist>(bool b)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setOverwriteMode</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a338dffa47b654525f04a772605584767</anchor>
      <arglist>(bool b)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a0e54bb6c16d05cb2e9abb4163043a7f0</anchor>
      <arglist>(bool b)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual char *</type>
      <name>data</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>ab745af4c3e34417efb69edd4b997d319</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>dataSize</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a03ace8b1683b71ce1f379c1eeaed2f9e</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>maxDataSize</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>ab82fc3ea2311074878c3cb6134b204a0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isAutoDelete</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a295664ff7e35ba5c6b749806e6fbb847</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>keepsMemory</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a43aaf2f26fcde09b25c945995f824a9b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isOverwriteMode</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a7e48e0fa82ffebd6c38005a58b7d8a50</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isOverwriteOnly</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>afcfec5352a623dea430b49e07965a2a3</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a666a5aaa1a24d4c637fe8797471fcca4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isModified</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a56bb295515e180c28411449bb4a47443</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>repaintRange</name>
      <anchorfile>classKHE_1_1BytesEditInterface.html</anchorfile>
      <anchor>a313f764accf424ec63f5f837b55561ac</anchor>
      <arglist>(int i1, int i2)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHE::CharColumnInterface</name>
    <filename>classKHE_1_1CharColumnInterface.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>KEncoding</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>ad0d6b081806063f19a6a202dcc8ecb08</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LocalEncoding</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>ad0d6b081806063f19a6a202dcc8ecb08a842d07613454b860f00385bba7f38545</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ISO8859_1Encoding</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>ad0d6b081806063f19a6a202dcc8ecb08addea9c0fc051163523fad7eef880b2d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LocalEncoding</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>ad0d6b081806063f19a6a202dcc8ecb08a842d07613454b860f00385bba7f38545</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ISO8859_1Encoding</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>ad0d6b081806063f19a6a202dcc8ecb08addea9c0fc051163523fad7eef880b2d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setShowUnprintable</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>a5a28ea2df672b1f47dbd0cfee8f83df4</anchor>
      <arglist>(bool SU=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setSubstituteChar</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>a9e3a2ea54ea765d187d51b4205c657e5</anchor>
      <arglist>(TQChar SC)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setEncoding</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>af27b64bc51ba8f5f9b125bb860f6df4d</anchor>
      <arglist>(KEncoding C)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>showUnprintable</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>aab2cfdc29976cb67813670028f9caea9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQChar</type>
      <name>substituteChar</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>a24139083fdf50ede87094edb34c1193b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KEncoding</type>
      <name>encoding</name>
      <anchorfile>classKHE_1_1CharColumnInterface.html</anchorfile>
      <anchor>a6403ced981b640da8ff2de81ba3422fc</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardDCOPInterface</name>
    <filename>classKTextEditor_1_1ClipboardDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>ClipboardDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ClipboardDCOPInterface.html</anchorfile>
      <anchor>afe8f1e9fbdb9ea1f907913ab07b56fe1</anchor>
      <arglist>(ClipboardInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ClipboardDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ClipboardDCOPInterface.html</anchorfile>
      <anchor>a44026724177bf003e0dfb03b2ea35614</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHE::ClipboardInterface</name>
    <filename>classKHE_1_1ClipboardInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classKHE_1_1ClipboardInterface.html</anchorfile>
      <anchor>a4e20bf6a9d0fd28b7656cd36b8e4b958</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cut</name>
      <anchorfile>classKHE_1_1ClipboardInterface.html</anchorfile>
      <anchor>a0c8e39618e1ca1e1d176822017555cc6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>paste</name>
      <anchorfile>classKHE_1_1ClipboardInterface.html</anchorfile>
      <anchor>a5716bab7476088815736e70084f57221</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>copyAvailable</name>
      <anchorfile>classKHE_1_1ClipboardInterface.html</anchorfile>
      <anchor>ae9cd8fa828966f4df3bee0559e965507</anchor>
      <arglist>(bool Really)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardInterface</name>
    <filename>classKTextEditor_1_1ClipboardInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a0b1790b7b55555081dc92066b63cead8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cut</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a89ca8dcf82a2256acfe242415da68bcd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>paste</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a0d0de9f7a80ffe58c0277916601c369a</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CodeCompletionInterface</name>
    <filename>classKTextEditor_1_1CodeCompletionInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showArgHint</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a7c50588d4631181044005a2012b16976</anchor>
      <arglist>(TQStringList functionList, const TQString &amp;strWrapping, const TQString &amp;strDelimiter)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showCompletionBox</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a9a870b2fc395847a0bed5e0ccc303653</anchor>
      <arglist>(TQValueList&lt; CompletionEntry &gt; complList, int offset=0, bool casesensitive=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionAborted</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>acc2a70a638912b50d08b043f4c00b290</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>acc7dc04c16cd875409de4bfd2464ec73</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a020dade17a3fb671cac23f15be0eb56e</anchor>
      <arglist>(CompletionEntry)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>argHintHidden</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a13ce5f7a3b1445abd293633ce44116a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>filterInsertString</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a82d75361086209f980eafcf35e96bdc2</anchor>
      <arglist>(CompletionEntry *, TQString *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CompletionEntry</name>
    <filename>classKTextEditor_1_1CompletionEntry.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ConfigInterface</name>
    <filename>classKTextEditor_1_1ConfigInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>abbad2337f2f7931cc5f1c927e4e708cf</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>aea253d115adaf7310f94942e24c8e829</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readSessionConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a26438011a27aded3bdfcea6a5e787d43</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>configDialog</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a52bb0985e06569c37eac8c6d318da3d4</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ConfigInterfaceExtension</name>
    <filename>classKTextEditor_1_1ConfigInterfaceExtension.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>configPages</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>a50921a6ca522765e3e26fc7851e97a57</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>configPage</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>ae378c1e0aac7f3818fc159164494b60e</anchor>
      <arglist>(uint number=0, TQWidget *parent=0, const char *name=0)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Cursor</name>
    <filename>classKTextEditor_1_1Cursor.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CursorInterface</name>
    <filename>classKTextEditor_1_1CursorInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual Cursor *</type>
      <name>createCursor</name>
      <anchorfile>classKTextEditor_1_1CursorInterface.html</anchorfile>
      <anchor>aadecd5506afc2bc5dd3d8b8f653ffd68</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Document</name>
    <filename>classKTextEditor_1_1Document.html</filename>
    <base>KTextEditor::Editor</base>
    <member kind="function">
      <type>unsigned int</type>
      <name>documentNumber</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>ada92db70f2cf7278b7fee800ce2854fc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>documentDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>ab55c57cef9550e05271ad930f21f24fe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class View *</type>
      <name>createView</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a48daf3b3589615d7210f8d96b2175824</anchor>
      <arglist>(TQWidget *parent, const char *name=0)=0</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>documentListPosition</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a11dbf4bc8de33a009f8b64fcf9a1c0a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocumentListPosition</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a242254be7428f4d76b9f1141448f6c10</anchor>
      <arglist>(long pos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoDCOPInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>DocumentInfoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoDCOPInterface.html</anchorfile>
      <anchor>abbf15f69a084071d1d79a3e44162dd57</anchor>
      <arglist>(DocumentInfoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentInfoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoDCOPInterface.html</anchorfile>
      <anchor>a80ef912e9222ccf5286c52148f33cc37</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DynWordWrapInterface</name>
    <filename>classKTextEditor_1_1DynWordWrapInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditDCOPInterface</name>
    <filename>classKTextEditor_1_1EditDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>EditDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EditDCOPInterface.html</anchorfile>
      <anchor>afcdc9b541b5736aec705686027eeef99</anchor>
      <arglist>(EditInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EditDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EditDCOPInterface.html</anchorfile>
      <anchor>a7069e9eb3e55f199117d3891a03ce3b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterface</name>
    <filename>classKTextEditor_1_1EditInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>text</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>aa7a9c854f895d4a145af025bfb024de7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>text</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a9958bb2dd32f9b537e4fded022c4900c</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>textLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a907f6d8fdb7c6b1d7c20acb64b1698eb</anchor>
      <arglist>(uint line) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>numLines</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>adad7f986747ea893c9d88888f782eab6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>length</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a6ccd8394f7d0641e88cde79df0ad0cb0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>lineLength</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a85dbbaab639d3232905d36aa128f7593</anchor>
      <arglist>(uint line) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>aaf8ac3b349596e510b3582cd479edd12</anchor>
      <arglist>(const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clear</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a651d4591e51f7f85189bb285b6eb43c2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a4a6b083c6ec904178e2bab5d1dce0387</anchor>
      <arglist>(uint line, uint col, const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a8ba5e6bfcb64c7e7ef94f63866c16a0e</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a4624e779f2b8d85533bd4101e0b08900</anchor>
      <arglist>(uint line, const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a49d74dc5e2f0036af1bac0f46be4999a</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>textChanged</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a58a3df6a76fd7e4fd3e1d0f829b96d09</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterfaceExt</name>
    <filename>classKTextEditor_1_1EditInterfaceExt.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>editBegin</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>a4beb59cc13bbe83fa3b48c99fce307eb</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>editEnd</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>aaf88fd5db47a7243304fb1a44bbdeeb4</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Editor</name>
    <filename>classKTextEditor_1_1Editor.html</filename>
    <base>KParts::ReadWritePart</base>
    <member kind="function">
      <type></type>
      <name>Editor</name>
      <anchorfile>classKTextEditor_1_1Editor.html</anchorfile>
      <anchor>af9038bf4380223c636d4b3015ce7a65f</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingDCOPInterface</name>
    <filename>classKTextEditor_1_1EncodingDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>EncodingDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EncodingDCOPInterface.html</anchorfile>
      <anchor>ac4dead2b5457dc2f7a44a4143846c88b</anchor>
      <arglist>(EncodingInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EncodingDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EncodingDCOPInterface.html</anchorfile>
      <anchor>a19a7ba0c1aada8db50012b1653091c6e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingInterface</name>
    <filename>classKTextEditor_1_1EncodingInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>ExtTerminalInterface</name>
    <filename>classExtTerminalInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>startProgram</name>
      <anchorfile>classExtTerminalInterface.html</anchorfile>
      <anchor>af93915105ff0fb0896541fef5afcf352</anchor>
      <arglist>(const TQString &amp;program, const TQStrList &amp;args)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showShellInDir</name>
      <anchorfile>classExtTerminalInterface.html</anchorfile>
      <anchor>aa7190f400551843e9c707ad8175f9dc0</anchor>
      <arglist>(const TQString &amp;dir)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>sendInput</name>
      <anchorfile>classExtTerminalInterface.html</anchorfile>
      <anchor>ab70096e4bfd565442991f5cee9759221</anchor>
      <arglist>(const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setAutoStartShell</name>
      <anchorfile>classExtTerminalInterface.html</anchorfile>
      <anchor>af138ea85d295f14c388b095e9a74b875</anchor>
      <arglist>(bool enabled)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setAutoDestroy</name>
      <anchorfile>classExtTerminalInterface.html</anchorfile>
      <anchor>a2f22dd17f066823c033e65e976846d52</anchor>
      <arglist>(bool enabled)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::HighlightingInterface</name>
    <filename>classKTextEditor_1_1HighlightingInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>hlMode</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a244657d34cfb6789b85c0ef80624799f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setHlMode</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a8c9b8834fed554359a0fa6ddbb7dbe24</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>hlModeCount</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a59e175146692a29f2090df058125bfd9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>hlModeName</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a6249ddad6fc6bb58f94304a75693fe87</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>hlModeSectionName</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>aa3a6fc2ba5b2c3b33e757f1f8a57c2ac</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFileAudioPreview</name>
    <filename>classKFileAudioPreview.html</filename>
  </compound>
  <compound kind="class">
    <name>KIMIface</name>
    <filename>classKIMIface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
  </compound>
  <compound kind="class">
    <name>KIMProxy</name>
    <filename>classKIMProxy.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>registeredToDCOP</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a8cab3aa0b9774c3ec2265b9788d279ee</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>unregisteredFromDCOP</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a1026042c7dfe9efa7cb9fc0d0fefc1b7</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigContactPresenceChanged</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0a3cc794dd97b0d89c4015d82212c3f2</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigPresenceInfoExpired</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a1dc56f5c66e4dbfa5ff523ec1f21dd83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a3193fb0f41c75ceeaa33b4489601fe42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>allContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a2c42a1365450fe17bfc0fc331d5970ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>reachableContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a936fd65fb287ffd65a15956948c9885b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>onlineContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0e51c85f6c7189ddcc39e0bdecda74ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>fileTransferContacts</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a5e85ced76341e18a400048502608a277</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPresent</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a4adee2444b37e4a34d6871199aab5240</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>displayName</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a60fe1760f63f74edd93418f5866c95c4</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>presenceNumeric</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a3f327f64b85d97faffddc54777070a46</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>presenceString</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>add59cef3dc59a0c626b4d9d7e2fc926d</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQPixmap</type>
      <name>presenceIcon</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0d896866727ca90dd05868d3a7474fb8</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canReceiveFiles</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a0f133d622efe535a938eb44db47f2ef3</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canRespond</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a850c6c8b31d3d7ed8b3b72e25acf83ae</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>locate</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a94cff7de0624f74ff085c88fd6a88245</anchor>
      <arglist>(const TQString &amp;contactId, const TQString &amp;protocol)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>context</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a9c291683be33017aa69f6f19ac00c267</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>chatWithContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a2329ba7709d7c07bcfb1075dee6ae3a5</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>messageContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a50846141d70ad1d812a47f9e6708381f</anchor>
      <arglist>(const TQString &amp;uid, const TQString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendFile</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aa3301f0cf0da9225b5cfbb94170b2e0a</anchor>
      <arglist>(const TQString &amp;uid, const KURL &amp;sourceURL, const TQString &amp;altFileName=TQString::null, uint fileSize=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addContact</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aa9e1ccb66b507f98e0d47ea48de52b22</anchor>
      <arglist>(const TQString &amp;contactId, const TQString &amp;protocol)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>imAppsAvailable</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a79de4cc33ee155d9989680372e9045f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startPreferredApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a6afbe30b196de30d57366a8fc9c01ee2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>contactPresenceChanged</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a936e7616482b32ec81c2ee1a42e87601</anchor>
      <arglist>(TQString uid, TQCString appId, int presence)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIMProxy *</type>
      <name>instance</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aba4d2f7cc6437a23dcbf3ac7be65e8b7</anchor>
      <arglist>(DCOPClient *client)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>pollApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>abc6e38cdf6aac0fb7da0c2e519981f12</anchor>
      <arglist>(const TQCString &amp;appId)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>pollAll</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a94176e7190a7a9ed88e12e4f8b3635d4</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>updatePresence</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a8b70d0e51d21de226b06eaa814614b42</anchor>
      <arglist>(const TQString &amp;uid, const TQCString &amp;appId, int presence)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>preferredApp</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>ac7c4e792cc977dd49df07675826d781b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KIMIface_stub *</type>
      <name>stubForUid</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>aa15ee20ffdd558b8a37d0da127b6c77c</anchor>
      <arglist>(const TQString &amp;uid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KIMIface_stub *</type>
      <name>stubForProtocol</name>
      <anchorfile>classKIMProxy.html</anchorfile>
      <anchor>a05d75e48121860aeea863a85d0eccd61</anchor>
      <arglist>(const TQString &amp;protocol)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRegExpEditorInterface</name>
    <filename>classKRegExpEditorInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>regExp</name>
      <anchorfile>classKRegExpEditorInterface.html</anchorfile>
      <anchor>aa772404f39de2edef77a99d786432480</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setRegExp</name>
      <anchorfile>classKRegExpEditorInterface.html</anchorfile>
      <anchor>adc7a6a765a00a93db7b840b928ad6701</anchor>
      <arglist>(const TQString &amp;regexp)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setMatchText</name>
      <anchorfile>classKRegExpEditorInterface.html</anchorfile>
      <anchor>a5832e90d70481b7bbbeaaa17ba0b0f29</anchor>
      <arglist>(const TQString &amp;)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>doSomething</name>
      <anchorfile>classKRegExpEditorInterface.html</anchorfile>
      <anchor>a7d92a530e60e852e09ccdfc30ed87a36</anchor>
      <arglist>(TQString method, void *arguments)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>canUndo</name>
      <anchorfile>classKRegExpEditorInterface.html</anchorfile>
      <anchor>a8e747276e74cdddaa4f5bc5a58d37865</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>canRedo</name>
      <anchorfile>classKRegExpEditorInterface.html</anchorfile>
      <anchor>a4dc4cce03ab2ff5d215b5c29e59357b3</anchor>
      <arglist>(bool)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>changes</name>
      <anchorfile>classKRegExpEditorInterface.html</anchorfile>
      <anchor>a80fdd614d158abd51d207ed472a2ebe6</anchor>
      <arglist>(bool)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptClientInterface</name>
    <filename>classKScriptClientInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>error</name>
      <anchorfile>classKScriptClientInterface.html</anchorfile>
      <anchor>aeb53d11cc81fb8d66fef34eb54b5e481</anchor>
      <arglist>(const TQString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>warning</name>
      <anchorfile>classKScriptClientInterface.html</anchorfile>
      <anchor>a0ecada1844eb1c51dca0955577d2bd5e</anchor>
      <arglist>(const TQString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>output</name>
      <anchorfile>classKScriptClientInterface.html</anchorfile>
      <anchor>a92d88d6f73b6c3a1b67aa1f398dd0873</anchor>
      <arglist>(const TQString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>progress</name>
      <anchorfile>classKScriptClientInterface.html</anchorfile>
      <anchor>a8fa7c996c9729459c748c55b1245672b</anchor>
      <arglist>(int percent)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>done</name>
      <anchorfile>classKScriptClientInterface.html</anchorfile>
      <anchor>a4615c6b87bbe81dbc8d8fcc6b68ce482</anchor>
      <arglist>(KScriptClientInterface::Result result, const TQVariant &amp;returned)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptInterface</name>
    <filename>classKScriptInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>script</name>
      <anchorfile>classKScriptInterface.html</anchorfile>
      <anchor>a647e5fe751d5010b24ac7a7bb8832d52</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setScript</name>
      <anchorfile>classKScriptInterface.html</anchorfile>
      <anchor>afa2ddeedce691be1b346c5f8e2d7312e</anchor>
      <arglist>(const TQString &amp;scriptFile)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setScript</name>
      <anchorfile>classKScriptInterface.html</anchorfile>
      <anchor>a5f8cb591d1db41de950d901bbc1c04e6</anchor>
      <arglist>(const TQString &amp;scriptLibFile, const TQString &amp;method)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>run</name>
      <anchorfile>classKScriptInterface.html</anchorfile>
      <anchor>a6465edfdd90c153cb1bf7509d5dcd49a</anchor>
      <arglist>(TQObject *context=0, const TQVariant &amp;arg=0)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>kill</name>
      <anchorfile>classKScriptInterface.html</anchorfile>
      <anchor>aa8d575ebd10bcb9d28123789cc93bb53</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="variable">
      <type>KScriptClientInterface *</type>
      <name>ScriptClientInterface</name>
      <anchorfile>classKScriptInterface.html</anchorfile>
      <anchor>adc82cd941f42e8f5daabd2e565367698</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScriptManager</name>
    <filename>classKScriptManager.html</filename>
    <base>KScriptClientInterface</base>
    <member kind="slot">
      <type>void</type>
      <name>runScript</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>ab79b2eed52ca52114a4fefef5f1f77a9</anchor>
      <arglist>(const TQString &amp;scriptName, TQObject *context=0, const TQVariant &amp;arg=0)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptError</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a523f6ced3f8854b347441d6c84184383</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptWarning</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a6ff37a100e37445a9b923ecbf2499ae0</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptOutput</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a57ddba33518936eb2d369898941e41a1</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptProgress</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>af09a6abc3ff43707d79a386354dd82e3</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>scriptDone</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a0dcde5c200b41b536cdbeb79f5e5e50d</anchor>
      <arglist>(KScriptClientInterface::Result result, const TQVariant &amp;returned)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KScriptManager</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a8792ec1e3fd1a76be48ace1ad89ca8a1</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KScriptManager</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>ac19c181f7343dc79ffd7c8fcab867d7f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addScript</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a82ab81f49a56f1d14e0004e2af587ee7</anchor>
      <arglist>(const TQString &amp;scriptDesktopFile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeScript</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a1ba7a9762e963d2a26b5c2060d82fa60</anchor>
      <arglist>(const TQString &amp;scriptName)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>scripts</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a65c4c2ef759a0641804e72d2314e0ea8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a615c240b625a2557c75794a3d8627be4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>error</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a837f3d482b8e8f85063b10bc17989e94</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>warning</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a24667c3e9881da158fb2dc7b4e053a0c</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>output</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>a7ee5407312b6c9269fae629ea51f2464</anchor>
      <arglist>(const TQString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>progress</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>af69d480d297e6959f923a3465ad881af</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKScriptManager.html</anchorfile>
      <anchor>ab0c89b051c3edb1c8c3b89aaa2b3ac57</anchor>
      <arglist>(KScriptClientInterface::Result result, const TQVariant &amp;returned)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>KSpeech</name>
    <filename>classKSpeech.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="enumeration">
      <type></type>
      <name>kttsdJobState</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28a00fed3d511b64ae176196a4dd628e7cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28a49cdbb6fe0188b63d5779e6db075ec27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28aa08eb496fb365f34667b20a060cc2d62</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28afb60655df8642572a0d5f93e27bf629c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28a148f77aa31e11b4d4ccc64c71862791f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>kttsdMarkupType</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba822757e82c1029edd6ffb0c4fe9f0f67</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba5e0541ff89788eddf5483413b8fade1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSsml</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba1c31be5d3ead8547307c7321abbc553b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba4ad1219a29e2fb0c1cf3fb973c438f30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtHtml</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6baa1b424398b4647803c789816171b3fa7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28a00fed3d511b64ae176196a4dd628e7cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28a49cdbb6fe0188b63d5779e6db075ec27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28aa08eb496fb365f34667b20a060cc2d62</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28afb60655df8642572a0d5f93e27bf629c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a21feac3cbcb9598ac6c99be060668d28a148f77aa31e11b4d4ccc64c71862791f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba822757e82c1029edd6ffb0c4fe9f0f67</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba5e0541ff89788eddf5483413b8fade1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSsml</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba1c31be5d3ead8547307c7321abbc553b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6ba4ad1219a29e2fb0c1cf3fb973c438f30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtHtml</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>add6372f3b5570981b38bdfaf3967ec6baa1b424398b4647803c789816171b3fa7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>kttsdStarted</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>abf5ddf13d59aa79b137cb882456f685b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>kttsdExiting</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a2c68f080f9961074b03bcade156feaa9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>markerSeen</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a29b3f1b95c497ca8dc37f8eeb50a1d13</anchor>
      <arglist>(const TQCString &amp;appId, const TQString &amp;markerName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sentenceStarted</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>abdd8c2777040ed30e620424819fe9f11</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sentenceFinished</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ac43fd5e4551c698a960184fe048af3ef</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textSet</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a991ca11a29524c5f1d3724974a7e4dea</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textAppended</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>af010d9e998cbb6c7eceb9c4f1343e92d</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, int partNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textStarted</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a81c62986d9f660aa6db1709b0236e278</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textFinished</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a2ad3a4ff268ee1e016b319de750e5495</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textStopped</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ac82c0d733dffe25dc4dbaf83b5d6d7c6</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textPaused</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a6b5024d9bb70a991bb9addb0b0dc5885</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textResumed</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a9b0b812958f93bb8549650477d659e5f</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textRemoved</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a80ef6007f06ff0a6263a8b7f9d0f3711</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>supportsMarkup</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a8d6d636753a0d8d16d5595590710c7aa</anchor>
      <arglist>(const TQString &amp;talker, uint markupType=0) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>supportsMarkers</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>abc05557629f6cad3e6e67d5347b941d0</anchor>
      <arglist>(const TQString &amp;talker) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayScreenReaderOutput</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a5114fa7f74e9ff2bb7e11f00a10a9aab</anchor>
      <arglist>(const TQString &amp;msg, const TQString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayWarning</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a634f5248a017599f00b528d1922217ce</anchor>
      <arglist>(const TQString &amp;warning, const TQString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>sayMessage</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ab417c8230af83a6d74a0c8879bca2a21</anchor>
      <arglist>(const TQString &amp;message, const TQString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>setSentenceDelimiter</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a51c6ee280de2d202e1caeeacba94a30c</anchor>
      <arglist>(const TQString &amp;delimiter)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>setText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a85cd9cb1e8394e59b8af75d775175242</anchor>
      <arglist>(const TQString &amp;text, const TQString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>sayText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>afa46f97e8a957d519f8fb8fad7e091cf</anchor>
      <arglist>(const TQString &amp;text, const TQString &amp;talker)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>appendText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a727de3bf6a9648f757fe580ceaba0980</anchor>
      <arglist>(const TQString &amp;text, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>setFile</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ac4a5ba0bfdb99b866ed4827aef7b2d91</anchor>
      <arglist>(const TQString &amp;filename, const TQString &amp;talker, const TQString &amp;encoding)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>getTextCount</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>abb2fe54e5ff675ff1a63dc15f1f86c3a</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>getCurrentTextJob</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a49b5b73f33a28dd26b4e7364e4e89881</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>getTextJobCount</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>aa1d99e1449860306140d1ae12eb9be27</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual TQString</type>
      <name>getTextJobNumbers</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>aa09c9928fc1fa6025b02a7ec38b6191a</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>getTextJobState</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a6c634aeb4815b67461590343d2a8c6d5</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual TQByteArray</type>
      <name>getTextJobInfo</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a227d4867a268453a7b225695e3300e22</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual TQString</type>
      <name>talkerCodeToTalkerId</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a8cbc0f240207e3bbb304f072d321e077</anchor>
      <arglist>(const TQString &amp;talkerCode)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual TQString</type>
      <name>getTextJobSentence</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a665d4af2d034f788d6e3a4e07eace104</anchor>
      <arglist>(uint jobNum=0, uint seq=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>isSpeakingText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a24bdeb597aaa3bb7df931f2b278caca9</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>removeText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a501e082e70bbff815e0c5b7fc65dca3c</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>startText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ad20817764caf8d8a514fc13de931dfba</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>stopText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ad11c3b80378b70e89ae0eacfb53ba0e1</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>pauseText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a8c7d5d9fb0ddc8fd70b7c3c2f12fa648</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>resumeText</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ad8155ca3bc7033f2409cc4c1abc36977</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>getTalkers</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a8a5487c8c3e500bdfd48652312721375</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>changeTextTalker</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a7e8dbfc1fc1b26d0674d68a0bea80956</anchor>
      <arglist>(const TQString &amp;talker, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual TQString</type>
      <name>userDefaultTalker</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>af9cd07273196066068b992e99db37b78</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>moveTextLater</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ababf7b812239779a1ff558b415b642e4</anchor>
      <arglist>(uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>jumpToTextPart</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ad69ee75590d02802057faa6ae9fb1e82</anchor>
      <arglist>(int partNum, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual uint</type>
      <name>moveRelTextSentence</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a880fc6a2d23d55bf4c82a17f42623023</anchor>
      <arglist>(int n, uint jobNum=0)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual ASYNC</type>
      <name>speakClipboard</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ac457cdd7de8648c05e0ef3ee1b5f45ff</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>showDialog</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a28649cb3756d9f1cb79585c9e50cc620</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>kttsdExit</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a8f1235581a0344e4f085d727a7f42ee0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>reinit</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a07cc4b00a445735a5463a86f07a26ae9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual TQString</type>
      <name>version</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a54a7dc4325264c76d9152a902a2a93de</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>kttsdStarted</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>abf5ddf13d59aa79b137cb882456f685b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>kttsdExiting</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a2c68f080f9961074b03bcade156feaa9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>markerSeen</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a29b3f1b95c497ca8dc37f8eeb50a1d13</anchor>
      <arglist>(const TQCString &amp;appId, const TQString &amp;markerName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sentenceStarted</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>abdd8c2777040ed30e620424819fe9f11</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sentenceFinished</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ac43fd5e4551c698a960184fe048af3ef</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textSet</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a991ca11a29524c5f1d3724974a7e4dea</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textAppended</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>af010d9e998cbb6c7eceb9c4f1343e92d</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, int partNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textStarted</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a81c62986d9f660aa6db1709b0236e278</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textFinished</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a2ad3a4ff268ee1e016b319de750e5495</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textStopped</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>ac82c0d733dffe25dc4dbaf83b5d6d7c6</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textPaused</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a6b5024d9bb70a991bb9addb0b0dc5885</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textResumed</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a9b0b812958f93bb8549650477d659e5f</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>textRemoved</name>
      <anchorfile>classKSpeech.html</anchorfile>
      <anchor>a80ef6007f06ff0a6263a8b7f9d0f3711</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <docanchor file="classKSpeech.html">Features</docanchor>
    <docanchor file="classKSpeech.html">Requirements</docanchor>
    <docanchor file="classKSpeech.html" title="Design Goals">goals</docanchor>
    <docanchor file="classKSpeech.html" title="DCOP Command-line Interface">cmdline</docanchor>
    <docanchor file="classKSpeech.html" title="Calling KTTSD from a Program">programming</docanchor>
    <docanchor file="classKSpeech.html" title="Signals Emitted by KTTSD">signals</docanchor>
    <docanchor file="classKSpeech.html" title="Talkers, Talker Codes, and Plugins">talkers</docanchor>
    <docanchor file="classKSpeech.html" title="Speech Markup">markup</docanchor>
    <docanchor file="classKSpeech.html" title="Support for Markers">markers</docanchor>
    <docanchor file="classKSpeech.html" title="Sentence Parsing">sentenceparsing</docanchor>
    <docanchor file="classKSpeech.html" title="Filters">filters</docanchor>
    <docanchor file="classKSpeech.html" title="Authors">authors</docanchor>
  </compound>
  <compound kind="interface">
    <name>KSpeechSink</name>
    <filename>classKSpeechSink.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="enumeration">
      <type></type>
      <name>kttsdJobState</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a9493092b6bddb3cbcd1a51cd235858c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a030b35c6e703e52d422a30fde9c9adaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366ab68f7fd7e7def669e18231cb8910ec79</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a20a490619ce6fad34b87aaae76055965</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a74204d8a6ef835d1ee019f825d957741</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>kttsdMarkupType</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba50720098fd0d8e61d84145be7e03ef83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba47dff5293db342fd3bc17dfbc3e73c98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSmml</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba0a0a3a9c69586e33dafe262cb28a3568</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba9b316b29e2e0d7a75d0c44badb2e1229</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsQueued</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a9493092b6bddb3cbcd1a51cd235858c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeakable</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a030b35c6e703e52d422a30fde9c9adaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsSpeaking</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366ab68f7fd7e7def669e18231cb8910ec79</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsPaused</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a20a490619ce6fad34b87aaae76055965</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>jsFinished</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa26fed0dee544866784041129a254366a74204d8a6ef835d1ee019f825d957741</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtPlain</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba50720098fd0d8e61d84145be7e03ef83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtJsml</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba47dff5293db342fd3bc17dfbc3e73c98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSmml</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba0a0a3a9c69586e33dafe262cb28a3568</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>mtSable</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a0e2de6ccea714351bb2e96e7f0548aaba9b316b29e2e0d7a75d0c44badb2e1229</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>kttsdExiting</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a7d64f064e9e0ab0369f24b8d548c4651</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>markerSeen</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>adcaef1a39f6c41a538612b9205f27502</anchor>
      <arglist>(const TQCString &amp;appId, const TQString &amp;markerName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>sentenceStarted</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a6161260e0ed1cf7de0d6a4adb409addd</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>sentenceFinished</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aa8841fc112d27dcf4837b9afc1e40be4</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, uint seq)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textSet</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a1e49e647f23a8b07d9cf9eb3eecd37e9</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textAppended</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>aba44a773e07fe44ec00d846c9f0060f6</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum, int partNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textStarted</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a64eb4428d23345338bb7eb7ae83f83e4</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textFinished</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a927035f0342696f089c437384bca175f</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textStopped</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a4fbad6b39953a0da95b5d67ef2a12d96</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textPaused</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a9353449090560eb212d69653d8b42206</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textResumed</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>adcbe36a98d238ead753e44dddea46c7f</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ASYNC</type>
      <name>textRemoved</name>
      <anchorfile>classKSpeechSink.html</anchorfile>
      <anchor>a08da3d6b863adb546a5348dfd86ea5bb</anchor>
      <arglist>(const TQCString &amp;appId, uint jobNum)</arglist>
    </member>
    <docanchor file="classKSpeechSink.html">Usage</docanchor>
  </compound>
  <compound kind="class">
    <name>KTextEditor::MarkInterface</name>
    <filename>classKTextEditor_1_1MarkInterface.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>MarkTypes</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType01</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eeaf2471aab55a7910fb4450d51cce8dc59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType02</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea23c07e24da915076047cd921c4621a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType03</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea8971a6d13db24fe3fe95bc2f9c6c3805</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType04</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea21889afbe7e38f38b4e901db153ea4ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType05</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea4ef62f766de25a6f7e950d921995b498</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType06</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea068ec7d831882c520248faecf0becf5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType07</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea13b4ecc91bdb3a791b5726cf9de5f81b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType01</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eeaf2471aab55a7910fb4450d51cce8dc59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType02</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea23c07e24da915076047cd921c4621a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType03</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea8971a6d13db24fe3fe95bc2f9c6c3805</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType04</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea21889afbe7e38f38b4e901db153ea4ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType05</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea4ef62f766de25a6f7e950d921995b498</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType06</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea068ec7d831882c520248faecf0becf5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType07</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea13b4ecc91bdb3a791b5726cf9de5f81b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>mark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a6128d28595c1318a1598aa040ef825e0</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a83983e94bc935aec4fdf5afa82f20921</anchor>
      <arglist>(uint line, uint markType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a2e9a21958d70a5fb7dd791231e8f623c</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>removeMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>ab024f5e74295a32ffa32e45124ece125</anchor>
      <arglist>(uint line, uint markType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQPtrList&lt; KTextEditor::Mark &gt;</type>
      <name>marks</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a7f3997a026ecac6cc0e3475dac82f209</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearMarks</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a21bd3e2ce11b88fab502d5f469436d61</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>reservedMarkersCount</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a1835af6cce125ad06e02775dbf41c278</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::MarkInterfaceExtension</name>
    <filename>classKTextEditor_1_1MarkInterfaceExtension.html</filename>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::Player</name>
    <filename>classKMediaPlayer_1_1Player.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="enumeration">
      <type></type>
      <name>State</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Empty</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7da985efbb350f6730eb78cbe48606c0bfd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7da83c95508d150ddab61e31c2539a7a98b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7dae9f74baa2d0a3c7841e11fa364a5123b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7dab08373fd53779335502e2efabe1717aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Empty</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7da985efbb350f6730eb78cbe48606c0bfd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7da83c95508d150ddab61e31c2539a7a98b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7dae9f74baa2d0a3c7841e11fa364a5123b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8c2150474b4a1a3cd423b738319a2a7dab08373fd53779335502e2efabe1717aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>pause</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a8ab9532c795d0f6aa49a66288bd07934</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>play</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a9fc1aca273d727955010f23de9bdfdde</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>ab02366a3538583aad497503eefde24d7</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>seek</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>aaf7b5608b9fa02f2d41bcfcf61b43d31</anchor>
      <arglist>(unsigned long msec)=0</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setLooping</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>abb5eb84d247ff2e81ef52830b0e35870</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loopingChanged</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a0ea8083d38c80a6d3cf627b579f520a5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stateChanged</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>ab05daed5b4f6324cf11a91d3cb7bfa51</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>ae87d0258c862fe5b4f65e9dbbee13fff</anchor>
      <arglist>(TQObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Player</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a977adfb6c03be17e573e21c74ee4552a</anchor>
      <arglist>(TQWidget *parentWidget, const char *widgetName, TQObject *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual View *</type>
      <name>view</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>abe29527a3583d4c9ce50295bb2f55f7b</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isSeekable</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a74af063ca70e1d80fe086758947f8b5a</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>position</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a242a39ab4f251746daa5b88f44b4ee98</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasLength</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>ac3a19cc9c0351c729daec97bdd40f155</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned long</type>
      <name>length</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>af5fb2595521ca01b8c8dc955257bc4b0</anchor>
      <arglist>(void) const =0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLooping</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a0a7ddf599fe7d3ffc7a1bc9685d2af70</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>state</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>ae8f85221e733a09fe82e935c5f577511</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMediaPlayer_1_1Player.html</anchorfile>
      <anchor>a5ce5053793d71987fa584f029ba1418d</anchor>
      <arglist>(int)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Plugin</name>
    <filename>classKTextEditor_1_1Plugin.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PluginViewInterface</name>
    <filename>classKTextEditor_1_1PluginViewInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PopupMenuInterface</name>
    <filename>classKTextEditor_1_1PopupMenuInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>installPopup</name>
      <anchorfile>classKTextEditor_1_1PopupMenuInterface.html</anchorfile>
      <anchor>a95ee44277a6e8903b0833486d0db8091</anchor>
      <arglist>(TQPopupMenu *rmb_Menu)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintDCOPInterface</name>
    <filename>classKTextEditor_1_1PrintDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>PrintDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1PrintDCOPInterface.html</anchorfile>
      <anchor>af047cdeeff28c42fb1a089c52d4c618a</anchor>
      <arglist>(PrintInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PrintDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1PrintDCOPInterface.html</anchorfile>
      <anchor>a95698e2dd7c6c0bf80b046e593d82b75</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintInterface</name>
    <filename>classKTextEditor_1_1PrintInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>ScriptLoader</name>
    <filename>classScriptLoader.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>runAction</name>
      <anchorfile>classScriptLoader.html</anchorfile>
      <anchor>a389b32e27d13f8e1a55ac479c6fe0442</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAction</name>
      <anchorfile>classScriptLoader.html</anchorfile>
      <anchor>aa72e9a66353cf847a893efeaeaa6fed9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ScriptLoader</name>
      <anchorfile>classScriptLoader.html</anchorfile>
      <anchor>afbb6d884961ae9004eaeb1e22f92fc61</anchor>
      <arglist>(TDEMainWindow *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>TDESelectAction *</type>
      <name>getScripts</name>
      <anchorfile>classScriptLoader.html</anchorfile>
      <anchor>a956bcf837fec8e37a775049265496c16</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchDCOPInterface</name>
    <filename>classKTextEditor_1_1SearchDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>SearchDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SearchDCOPInterface.html</anchorfile>
      <anchor>afc874432daae869c586b3e5c22039e9a</anchor>
      <arglist>(SearchInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SearchDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SearchDCOPInterface.html</anchorfile>
      <anchor>acdfc36731b79f5e62ee8709e4686214e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchInterface</name>
    <filename>classKTextEditor_1_1SearchInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>SelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionDCOPInterface.html</anchorfile>
      <anchor>ab2666353d202c46db64ecea6588ddb75</anchor>
      <arglist>(SelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionDCOPInterface.html</anchorfile>
      <anchor>a0e21844c5a8394bd350ac045ad61918f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionExtDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionExtDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterface</name>
    <filename>classKTextEditor_1_1SelectionInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a66a9a370accf41b4a9cfb2d7f0d9e073</anchor>
      <arglist>(unsigned int startLine, unsigned int startCol, unsigned int endLine, unsigned int endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clearSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a074d914d7c464e4805f593993d078721</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>adf944cd3ea0317c32bc8d2a053a7c28b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>selection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a5be89782e8b85b98a3892ca92d8b3436</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeSelectedText</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a163c71eaaf8b71efb687bf66bef6632d</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>selectAll</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a8f46869ab360e2f443498d789e4411e1</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterfaceExt</name>
    <filename>classKTextEditor_1_1SelectionInterfaceExt.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartLine</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a5f3a9bfe0a2c36dcf44c357dd9b7c4e4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartCol</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a36f7ccb3d7b88c7e02763213fb56ac00</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndLine</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>aa8b2ac11a74a509cccb8ea9422da6c63</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndCol</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a90178931c1ba525fb17f48b93ed6f790</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SessionConfigInterface</name>
    <filename>classKTextEditor_1_1SessionConfigInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readSessionConfig</name>
      <anchorfile>classKTextEditor_1_1SessionConfigInterface.html</anchorfile>
      <anchor>a3b0b2d66bf418796759f77f0e8b2f60e</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::TemplateInterface</name>
    <filename>classKTextEditor_1_1TemplateInterface.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>insertTemplateText</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>affb40bf2a754e2a83babb18451e36686</anchor>
      <arglist>(uint line, uint column, const TQString &amp;templateString, const TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>expandMacros</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>a3f0fa82680fadcc0936b4cdcaa2767fe</anchor>
      <arglist>(TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>insertTemplateTextImplementation</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>a296391e8a48bd84fbf9ae1365db4032f</anchor>
      <arglist>(uint line, uint column, const TQString &amp;templateString, const TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow=0)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TerminalInterface</name>
    <filename>classTerminalInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>startProgram</name>
      <anchorfile>classTerminalInterface.html</anchorfile>
      <anchor>ae5c5cb04282145052990cf596042a530</anchor>
      <arglist>(const TQString &amp;program, const TQStrList &amp;args)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showShellInDir</name>
      <anchorfile>classTerminalInterface.html</anchorfile>
      <anchor>a194b477323814bdaf8eea7f86df6e53a</anchor>
      <arglist>(const TQString &amp;dir)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>sendInput</name>
      <anchorfile>classTerminalInterface.html</anchorfile>
      <anchor>afef4790e15ffaa69ac35badf76fcd9fa</anchor>
      <arglist>(const TQString &amp;text)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::TextHintInterface</name>
    <filename>classKTextEditor_1_1TextHintInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>enableTextHints</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>ab8771312d67a7c6f137c85b4bb5a73f3</anchor>
      <arglist>(int timeout)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>disableTextHints</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>ac2994f96d1093e65109ac59fc5cc67fd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>textHintInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>adcb78788a7d0e1e3fc0fdf1dad79faf3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>needTextHint</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>a69fe62232929373e62ebfbf059fa4e14</anchor>
      <arglist>(int line, int col, TQString &amp;text)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoDCOPInterface</name>
    <filename>classKTextEditor_1_1UndoDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>UndoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1UndoDCOPInterface.html</anchorfile>
      <anchor>ac9ade210a495937331dfb91b7b35a7c1</anchor>
      <arglist>(UndoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~UndoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1UndoDCOPInterface.html</anchorfile>
      <anchor>aadc3587bbebd3ec529391ced70243157</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoInterface</name>
    <filename>classKTextEditor_1_1UndoInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>undoSteps</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>addf024a3efdb4bd9ad7dcca74de5ee95</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHE::ValueColumnInterface</name>
    <filename>classKHE_1_1ValueColumnInterface.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>KCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HexadecimalCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00a0eea0504bbe870eac5a361866ca523a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DecimalCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00a6a2c427dab0979c79e5d63313ad31eb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OctalCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00ac9982986a97f0cde990faee44c1b7aea</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BinaryCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00ab919c1718354b14c38c3de1e5550858a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>KResizeStyle</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3158902ff5262c16a4df4e15e30efa83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoResize</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3158902ff5262c16a4df4e15e30efa83a8b1e7c320b6258093b869e662566a457</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LockGrouping</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3158902ff5262c16a4df4e15e30efa83a4bef4954aaca882897ae0a8b6f05a831</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FullSizeUsage</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3158902ff5262c16a4df4e15e30efa83aea409b0da55acf4088a00d43aee68466</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HexadecimalCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00a0eea0504bbe870eac5a361866ca523a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DecimalCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00a6a2c427dab0979c79e5d63313ad31eb4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OctalCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00ac9982986a97f0cde990faee44c1b7aea</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BinaryCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a751b3c93bef4fa2833eddb63ccd67c00ab919c1718354b14c38c3de1e5550858a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoResize</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3158902ff5262c16a4df4e15e30efa83a8b1e7c320b6258093b869e662566a457</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LockGrouping</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3158902ff5262c16a4df4e15e30efa83a4bef4954aaca882897ae0a8b6f05a831</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FullSizeUsage</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3158902ff5262c16a4df4e15e30efa83aea409b0da55acf4088a00d43aee68466</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KResizeStyle</type>
      <name>resizeStyle</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>aa2744b5af56f718046a1e13f995e7ea6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>noOfBytesPerLine</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a6802086cd25fa86dc8d1a1d7c08da5f2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KCoding</type>
      <name>coding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a20c562ba60b9b8bca617e1a083d2cac2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>byteSpacingWidth</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a3d7227d1eaca642b211d2b9bbfcb4c2b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>noOfGroupedBytes</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a34be4d4846a3fdf4efb21a3b00886182</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>groupSpacingWidth</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a634c305560b90625bb56581c2ffb4b78</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>binaryGapWidth</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a6712a658d49572fc28e7f4eaacd8142c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setResizeStyle</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a715a29e9c13c84c9218b130ef40a52ff</anchor>
      <arglist>(KResizeStyle Style)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setNoOfBytesPerLine</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a825a229785124e7f5f06f0f890e7aa86</anchor>
      <arglist>(int NoCpL)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setCoding</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a2970bbd3ebe04593411c92e4bfd5b637</anchor>
      <arglist>(KCoding C)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setByteSpacingWidth</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>a734965b09ff50434d96f1bf4af9fa6b0</anchor>
      <arglist>(int BSW)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setNoOfGroupedBytes</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>ad12108487a9c93ee1400b7c45dd6a483</anchor>
      <arglist>(int NoGB)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setGroupSpacingWidth</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>aaf0f9c282fd1ee842b1c66aeaf67ed70</anchor>
      <arglist>(int GSW)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setBinaryGapWidth</name>
      <anchorfile>classKHE_1_1ValueColumnInterface.html</anchorfile>
      <anchor>ade626c4c32f182a43e67aad78b1da27f</anchor>
      <arglist>(int BGW)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::VariableInterface</name>
    <filename>classKTextEditor_1_1VariableInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>variable</name>
      <anchorfile>classKTextEditor_1_1VariableInterface.html</anchorfile>
      <anchor>a02a328856785d59491f89ec6c880f930</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>variableChanged</name>
      <anchorfile>classKTextEditor_1_1VariableInterface.html</anchorfile>
      <anchor>a62a372ebe00f14426c37431e5df5b2e5</anchor>
      <arglist>(const TQString &amp;variable, const TQString &amp;value)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMediaPlayer::View</name>
    <filename>classKMediaPlayer_1_1View.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>Button</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a424bcc4f7cff5cd370a77df47bc61a98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352acc125cfd467171d9e57d53bd87cbbf4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a5f4164f4f32c1f082c75507bbc3b3e17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Seeker</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a2badf0408b5c94f5ed6e6adada9e5aeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>All</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a519f0fee37efc0c0064676a742f694e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Play</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a424bcc4f7cff5cd370a77df47bc61a98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Stop</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352acc125cfd467171d9e57d53bd87cbbf4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Pause</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a5f4164f4f32c1f082c75507bbc3b3e17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Seeker</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a2badf0408b5c94f5ed6e6adada9e5aeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>All</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>addf1d9a7161e40e1a33fe64ee2320352a519f0fee37efc0c0064676a742f694e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setButtons</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>aff589cf36b58d46b971980913a2703f4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>button</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>a70a7d84311b0e931e47a323a01cc59e4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showButton</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>abfbde82bfc61bf8df528e6303fe0a912</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideButton</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>a09d2b303be2b1602b6b9959c98f04b83</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleButton</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>a12705d18381f953dbe90f2ef28c1d547</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>buttonsChanged</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ab28547a06f1683e1926cbd84ff89c548</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>aef213914510047bcdfc1a1496045ed0b</anchor>
      <arglist>(TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>ab70e6e8d3ab6487725e6862c2d678486</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>videoWidget</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>a41dfd22082d128a9f15599276f54ce97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setVideoWidget</name>
      <anchorfile>classKMediaPlayer_1_1View.html</anchorfile>
      <anchor>a6e07df63f5a43ade7d7201d7622e967d</anchor>
      <arglist>(TQWidget *videoWidget)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::View</name>
    <filename>classKTextEditor_1_1View.html</filename>
    <base>KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>a74c7741448c50944d926c1c23916192e</anchor>
      <arglist>(class Document *, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>viewNumber</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>aee28535c62b0c34a4533a54537879a2a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>viewDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>aeebf1ddf6d3bb61de0e238c08c97f9b1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class Document *</type>
      <name>document</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>a3d59ca066c8fd425998ebd6a9dff2297</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewCursorDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>ViewCursorDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewCursorDCOPInterface.html</anchorfile>
      <anchor>a5d80ab4e782675778e081a1226523d10</anchor>
      <arglist>(ViewCursorInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewCursorDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewCursorDCOPInterface.html</anchorfile>
      <anchor>ad9e1b6bc19797c7c273179c3d43edfb7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorInterface</name>
    <filename>classKTextEditor_1_1ViewCursorInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual class TQPoint</type>
      <name>cursorCoordinates</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a13d83316f5beae7a0cae440cbafeb0f7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPosition</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a9995ed8ea76390b98ab656dae0814efa</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPositionReal</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a5a9cec87405a6edb45124b734f1c4ef7</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPosition</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a2c4a3e8b5050ceb3b217ddc95843e33f</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPositionReal</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a3a578a2eff187fcf751f9a24fdbbbcda</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>ViewStatusMsgDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</anchorfile>
      <anchor>a1793b6f06dcf63afcb9531c29868f133</anchor>
      <arglist>(ViewStatusMsgInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewStatusMsgDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</anchorfile>
      <anchor>ab8b70b1d69076bf6ef930225b5226ae8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::WordWrapInterface</name>
    <filename>classKTextEditor_1_1WordWrapInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KHE::ZoomInterface</name>
    <filename>classKHE_1_1ZoomInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>zoomIn</name>
      <anchorfile>classKHE_1_1ZoomInterface.html</anchorfile>
      <anchor>a2c361314ae8c9b5e6dd15a05703298d5</anchor>
      <arglist>(int PointInc)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>zoomIn</name>
      <anchorfile>classKHE_1_1ZoomInterface.html</anchorfile>
      <anchor>a8510c65541238423f1e757b3e15ca089</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>zoomOut</name>
      <anchorfile>classKHE_1_1ZoomInterface.html</anchorfile>
      <anchor>a5998d5d750cc2104030ae0282e9fb251</anchor>
      <arglist>(int PointDec)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>zoomOut</name>
      <anchorfile>classKHE_1_1ZoomInterface.html</anchorfile>
      <anchor>aa45d8afd8a0e174d709e7f90dd087a9e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>zoomTo</name>
      <anchorfile>classKHE_1_1ZoomInterface.html</anchorfile>
      <anchor>a818036fcdc284e5d9cd81c7fd2ace58e</anchor>
      <arglist>(int PointSize)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>unZoom</name>
      <anchorfile>classKHE_1_1ZoomInterface.html</anchorfile>
      <anchor>ad924834a9ace952401984e3b4965cb32</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KHE</name>
    <filename>namespaceKHE.html</filename>
    <class kind="class">KHE::BytesEditInterface</class>
    <class kind="class">KHE::CharColumnInterface</class>
    <class kind="class">KHE::ClipboardInterface</class>
    <class kind="class">KHE::ValueColumnInterface</class>
    <class kind="class">KHE::ZoomInterface</class>
    <member kind="function">
      <type>BytesEditInterface *</type>
      <name>bytesEditInterface</name>
      <anchorfile>namespaceKHE.html</anchorfile>
      <anchor>a7097390fadfe55a88e5047458199e088</anchor>
      <arglist>(T *t)</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>createBytesEditWidget</name>
      <anchorfile>namespaceKHE.html</anchorfile>
      <anchor>a09423bad0a49b37b6e10a6a36e059c3a</anchor>
      <arglist>(TQWidget *Parent=0, const char *Name=0)</arglist>
    </member>
    <member kind="function">
      <type>CharColumnInterface *</type>
      <name>charColumnInterface</name>
      <anchorfile>namespaceKHE.html</anchorfile>
      <anchor>a416e72606266ed3cca3030e69ec13614</anchor>
      <arglist>(T *t)</arglist>
    </member>
    <member kind="function">
      <type>ClipboardInterface *</type>
      <name>clipboardInterface</name>
      <anchorfile>namespaceKHE.html</anchorfile>
      <anchor>a86c12446beaf113caaaa9427047bb6b9</anchor>
      <arglist>(T *t)</arglist>
    </member>
    <member kind="function">
      <type>ValueColumnInterface *</type>
      <name>valueColumnInterface</name>
      <anchorfile>namespaceKHE.html</anchorfile>
      <anchor>a7969141468b37febb74cd8295f47c061</anchor>
      <arglist>(T *t)</arglist>
    </member>
    <member kind="function">
      <type>ZoomInterface *</type>
      <name>zoomInterface</name>
      <anchorfile>namespaceKHE.html</anchorfile>
      <anchor>a5ea049eb3363b68c4d6de0120c33c051</anchor>
      <arglist>(T *t)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KMediaPlayer</name>
    <filename>namespaceKMediaPlayer.html</filename>
    <class kind="class">KMediaPlayer::Player</class>
    <class kind="class">KMediaPlayer::View</class>
  </compound>
  <compound kind="namespace">
    <name>KTextEditor</name>
    <filename>namespaceKTextEditor.html</filename>
    <class kind="class">KTextEditor::BlockSelectionDCOPInterface</class>
    <class kind="class">KTextEditor::BlockSelectionInterface</class>
    <class kind="class">KTextEditor::ClipboardDCOPInterface</class>
    <class kind="class">KTextEditor::ClipboardInterface</class>
    <class kind="class">KTextEditor::CodeCompletionInterface</class>
    <class kind="class">KTextEditor::CompletionEntry</class>
    <class kind="class">KTextEditor::ConfigInterface</class>
    <class kind="class">KTextEditor::ConfigInterfaceExtension</class>
    <class kind="class">KTextEditor::Cursor</class>
    <class kind="class">KTextEditor::CursorInterface</class>
    <class kind="class">KTextEditor::Document</class>
    <class kind="class">KTextEditor::DocumentInfoDCOPInterface</class>
    <class kind="class">KTextEditor::DocumentInfoInterface</class>
    <class kind="class">KTextEditor::DynWordWrapInterface</class>
    <class kind="class">KTextEditor::EditDCOPInterface</class>
    <class kind="class">KTextEditor::EditInterface</class>
    <class kind="class">KTextEditor::EditInterfaceExt</class>
    <class kind="class">KTextEditor::Editor</class>
    <class kind="class">KTextEditor::EncodingDCOPInterface</class>
    <class kind="class">KTextEditor::EncodingInterface</class>
    <class kind="class">KTextEditor::HighlightingInterface</class>
    <class kind="class">KTextEditor::MarkInterface</class>
    <class kind="class">KTextEditor::MarkInterfaceExtension</class>
    <class kind="class">KTextEditor::Plugin</class>
    <class kind="class">KTextEditor::PluginViewInterface</class>
    <class kind="class">KTextEditor::PopupMenuInterface</class>
    <class kind="class">KTextEditor::PrintDCOPInterface</class>
    <class kind="class">KTextEditor::PrintInterface</class>
    <class kind="class">KTextEditor::SearchDCOPInterface</class>
    <class kind="class">KTextEditor::SearchInterface</class>
    <class kind="class">KTextEditor::SelectionDCOPInterface</class>
    <class kind="class">KTextEditor::SelectionExtDCOPInterface</class>
    <class kind="class">KTextEditor::SelectionInterface</class>
    <class kind="class">KTextEditor::SelectionInterfaceExt</class>
    <class kind="class">KTextEditor::SessionConfigInterface</class>
    <class kind="class">KTextEditor::TemplateInterface</class>
    <class kind="class">KTextEditor::TextHintInterface</class>
    <class kind="class">KTextEditor::UndoDCOPInterface</class>
    <class kind="class">KTextEditor::UndoInterface</class>
    <class kind="class">KTextEditor::VariableInterface</class>
    <class kind="class">KTextEditor::View</class>
    <class kind="class">KTextEditor::ViewCursorDCOPInterface</class>
    <class kind="class">KTextEditor::ViewCursorInterface</class>
    <class kind="class">KTextEditor::ViewStatusMsgDCOPInterface</class>
    <class kind="class">KTextEditor::ViewStatusMsgInterface</class>
    <class kind="class">KTextEditor::WordWrapInterface</class>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT BlockSelectionInterface *</type>
      <name>blockSelectionInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a6280007cf2d863d57d5d9cd601a27bb0</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Interfaces</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
