<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>KJS::BinaryLogicalNode</name>
    <filename>classKJS_1_1BinaryLogicalNode.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::Boolean</name>
    <filename>classKJS_1_1Boolean.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Boolean</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Boolean.html</anchorfile>
      <anchor>a96f5bc36ab27fd2c6616bafc74dc953c</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::ClassInfo</name>
    <filename>structKJS_1_1ClassInfo.html</filename>
    <member kind="variable">
      <type>const char *</type>
      <name>className</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>a65ebb96070dab1ebdbd7fcca128fcd7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const ClassInfo *</type>
      <name>parentClass</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>aac9d415e8e0349df8cd56f24c3a7b28c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashTable *</type>
      <name>propHashTable</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>a9828b2b86f41ebf22161ef101bf31308</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>void *</type>
      <name>dummy</name>
      <anchorfile>structKJS_1_1ClassInfo.html</anchorfile>
      <anchor>a05cfb01019d68b46552d9ce7a9ee1752</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Collector</name>
    <filename>classKJS_1_1Collector.html</filename>
    <member kind="function" static="yes">
      <type>static void *</type>
      <name>allocate</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>a82ab0f2a4b1a30d51d152432d92b00d4</anchor>
      <arglist>(size_t s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Collector.html</anchorfile>
      <anchor>af5a69f9e35f2698694bbbac983eb5272</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Completion</name>
    <filename>classKJS_1_1Completion.html</filename>
    <base>KJS::Value</base>
  </compound>
  <compound kind="class">
    <name>KJS::ConditionalNode</name>
    <filename>classKJS_1_1ConditionalNode.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::Context</name>
    <filename>classKJS_1_1Context.html</filename>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scopeChain</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a83bbf26ac8304d680e36d32767aba7db</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>variableObject</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>ac1ac0568e44394cca381c128c437ace0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>thisValue</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a2bdb952063095c27916c23ac843584cf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const Context</type>
      <name>callingContext</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a5f0b9d73a0bfd81c6f84131a656b6da8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>CodeType</type>
      <name>codeType</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a6ced63fc4a554b401847e7305965b572</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sourceId</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a6ab89b9d68537026420c7fed6955975f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtFirstLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>aa654ebc7809219ee41562d2752db2285</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>curStmtLastLine</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>ab983f1d081aca46af14517b93594ff24</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>function</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a7ec2bc5e59c26c32dfa47aebbf0c5b12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>functionName</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a01ded35c575d72975c2ed805c26eeb42</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>args</name>
      <anchorfile>classKJS_1_1Context.html</anchorfile>
      <anchor>a52876b6b3c51fc9d437228e61671fae5</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ContextImp</name>
    <filename>classKJS_1_1ContextImp.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::CString</name>
    <filename>classKJS_1_1CString.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::Error</name>
    <filename>classKJS_1_1Error.html</filename>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>create</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>ad90381467b6e9fbae92c0975852048f2</anchor>
      <arglist>(ExecState *exec, ErrorType errtype=GeneralError, const char *message=0, int lineno=-1, int sourceId=-1)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char *const  *const</type>
      <name>errorNames</name>
      <anchorfile>classKJS_1_1Error.html</anchorfile>
      <anchor>aede6bb3b082304d9c25b6f802630954d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ExecState</name>
    <filename>classKJS_1_1ExecState.html</filename>
    <member kind="function">
      <type>Interpreter *</type>
      <name>dynamicInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a37e7c4066a419cd1c6797da9a84ce8eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Interpreter *</type>
      <name>lexicalInterpreter</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>ae65bd9f645c202d3ac09a73e9da76acf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Context</type>
      <name>context</name>
      <anchorfile>classKJS_1_1ExecState.html</anchorfile>
      <anchor>a25e2b910d0c7a7d75201c6958e7aaaa4</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionImp</name>
    <filename>classKJS_1_1FunctionImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
  </compound>
  <compound kind="class">
    <name>KJS::FunctionPrototypeImp</name>
    <filename>classKJS_1_1FunctionPrototypeImp.html</filename>
    <base>KJS::InternalFunctionImp</base>
  </compound>
  <compound kind="struct">
    <name>KJS::HashEntry</name>
    <filename>structKJS_1_1HashEntry.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>soffset</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>afb93ded6bc0d48e1f58056ac4b6a029c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short int</type>
      <name>value</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>ae4dd6db441f29909cd03c9466b2bc931</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>attr</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>a12c2b8d0dc49b3f26695c10a5a1a4781</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned char</type>
      <name>params</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>a4886c63e2d87d0731ac60821bf59175b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>next</name>
      <anchorfile>structKJS_1_1HashEntry.html</anchorfile>
      <anchor>ad95917ba5e39d20c8fc8c43810045a21</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::HashTable</name>
    <filename>structKJS_1_1HashTable.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>type</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>ae38f682939fba01691428863d9b4bfa1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>size</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>a81197ec5685573938c9e0ba1423cc08b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const HashEntry *const</type>
      <name>entries</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>a7c4140e42df68f8eae1ea17a93150ecf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>hashSize</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>ad8bcaed94f9a1fb84377a27a98e4f79a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *const</type>
      <name>sbase</name>
      <anchorfile>structKJS_1_1HashTable.html</anchorfile>
      <anchor>a22acd0e8efcefaad0c73cce8f5e6cccd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Identifier</name>
    <filename>classKJS_1_1Identifier.html</filename>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a0d53178be68490fcc17c11f68c8e29df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identifier</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a2153b36791c929ed61835956498169bb</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function">
      <type>const UString &amp;</type>
      <name>ustring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a7c141637f9abe3485feff0e8f3a96879</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a2d173817d9a39551003ed3469e00a500</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>ade173740aa00f2ce62fb47fc7638c49d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a5d0ef0dfdb1e920ae74b42ba877101cd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a5f74b76bf9852d2d84b256110b59f9fc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a6869823a77dfe2a0b7806116daa809f5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a72056c9fa97d80b424caa7cc3b7106ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Identifier &amp;</type>
      <name>null</name>
      <anchorfile>classKJS_1_1Identifier.html</anchorfile>
      <anchor>a0c11c80ccfb32ebe3ef21445d308765f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::InternalFunctionImp</name>
    <filename>classKJS_1_1InternalFunctionImp.html</filename>
    <member kind="function">
      <type></type>
      <name>InternalFunctionImp</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>af62413a9d47abd3075f60c6023256025</anchor>
      <arglist>(FunctionPrototypeImp *funcProto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKJS_1_1InternalFunctionImp.html</anchorfile>
      <anchor>af6ff6e5151f0b6e1d6792194e0752e02</anchor>
      <arglist>(Identifier _ident)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Interpreter</name>
    <filename>classKJS_1_1Interpreter.html</filename>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a91cbdbe2a1b34acbd0230b1ad0f72651</anchor>
      <arglist>(const Object &amp;global)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Interpreter</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a9faf0dca72cd27223e5c447b580de2a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Object &amp;</type>
      <name>globalObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>afa629ab3a3e0f3286f5d14b2ba5bc8a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ExecState *</type>
      <name>globalExec</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aaeb5d4e2e8d30481851881a06f05a3e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a74fcc93c30dca80646d8a41c3c6f4509</anchor>
      <arglist>(const UString &amp;code, int *errLine, UString *errMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkSyntax</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a6160ffd2f1240e22e9039be23a25c801</anchor>
      <arglist>(const UString &amp;code)</arglist>
    </member>
    <member kind="function">
      <type>Completion</type>
      <name>evaluate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a656d720cb34b3f614feaa67d4f6545ca</anchor>
      <arglist>(const UString &amp;code, const Value &amp;thisV=Value())</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObject</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a1f25733e684422763f824d5a42dfe995</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunction</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a10971be7c50c180d653912286c3b8790</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArray</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a9f513469f7c9b20c048b583f35a6854a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBoolean</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ac8baf2338f50a0f15af51134902b1eef</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinString</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aabd3fde0828a27d0aaba6a24142480a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumber</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a975cc1028f09c33a960f3478c7669de5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDate</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a3b887f31799a1df0335217eb4149a36b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExp</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a4e73a702320000bd0e177e73fc09c3d5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a2da4843f9af5dc1b70d03910f1c3f637</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinObjectPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a5eb86a6cb35619191e5b90220d15152b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinFunctionPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a092118c18501564b0aefbbdf27914d7b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinArrayPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a19b26d7d0a55a75789a856f1a59a3eb9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinBooleanPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a1f4fbac6e602cf9ad83425a15f67c5f1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinStringPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aab105bc5ccc362c94591b79bb12b97ba</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinNumberPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a8b83a4386007874971f2f13a80716cb6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinDatePrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a7d9bf0a4afa61e1d948f8aa7f38b64d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinRegExpPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a8dfe49a31d227c800792b63c1644a807</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinErrorPrototype</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a967ffedc89c064a59ef6bb929a2b34b4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>builtinEvalError</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aa60222cfbc6bf15c51226b0d692b4a12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompatMode</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>aa71b6122001e49c40c67cbaf57db7abf</anchor>
      <arglist>(CompatMode mode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>mark</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>ab8936a99429d275b3c1bd6f97a5527e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a50e5a3db76f1a151362ceec9a6bd3434</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>collect</name>
      <anchorfile>classKJS_1_1Interpreter.html</anchorfile>
      <anchor>a0afcdeb284f68f0788523bbd4647805c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::LabelStack</name>
    <filename>classKJS_1_1LabelStack.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>push</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>aa2bda0670ac692d95cc2d7d497d0cb55</anchor>
      <arglist>(const Identifier &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>contains</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a897ef13f61e12f6a66270879d58b29c0</anchor>
      <arglist>(const Identifier &amp;id) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pop</name>
      <anchorfile>classKJS_1_1LabelStack.html</anchorfile>
      <anchor>a24c7fa9d3a3e27c40806b40c9089faf2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::List</name>
    <filename>classKJS_1_1List.html</filename>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a0754cb5a81b130c65ab13a4e9cff5c52</anchor>
      <arglist>(const Value &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a14a5b7e2de79f98ecb2a56a529401517</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copy</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a864d072c1b3fa6b9c51e1565ec5d8815</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>List</type>
      <name>copyTail</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a68ff15faf5b97bb7ecbecd7d83052582</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a399cea54a86de5e240013f9dd7ba05e0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a99985ef9cd680258b80767aa065fcfa1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>begin</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a7267f6231600efac225e61ef2987973f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ListIterator</type>
      <name>end</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>af9c32ff74e4495f1c183b583e93487bb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>at</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>abf734ab1ba879b431c742092a7ceb99c</anchor>
      <arglist>(int i) const</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>a6d8cddd3e2aab9e4de05210290191363</anchor>
      <arglist>(int i) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const List &amp;</type>
      <name>empty</name>
      <anchorfile>classKJS_1_1List.html</anchorfile>
      <anchor>ad30b847844813d118f8208dbfb6b5ad2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ListIterator</name>
    <filename>classKJS_1_1ListIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ListIterator</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a095c5df85e7617771c71d55953e2a964</anchor>
      <arglist>(const List &amp;l)</arglist>
    </member>
    <member kind="function">
      <type>ValueImp *</type>
      <name>operator-&gt;</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>ad87b6a3137514e7b1824683f7b160e5e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a9566ad95d5060f6102db3ac14f19088a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator++</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>aa8be71d375b5aa72831d5d5ad441b60c</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a85559c54198fc3304f3085ddd00d1584</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>operator--</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a0dde8b0361d334e0a14341d5664c9d13</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>a745849f40cc0bba0de2fc47cf5cb7ea3</anchor>
      <arglist>(const ListIterator &amp;it) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKJS_1_1ListIterator.html</anchorfile>
      <anchor>aa9c3fabb8740d4a2ce83e89e6ccf71ac</anchor>
      <arglist>(const ListIterator &amp;it) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Lookup</name>
    <filename>classKJS_1_1Lookup.html</filename>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>a7fa6228cc9915fe1fe4ec8690c5c7447</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const HashEntry *</type>
      <name>findEntry</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>a97a1e8d2a5bb04cf1b1aa51b91b58c12</anchor>
      <arglist>(const struct HashTable *table, const Identifier &amp;s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned int</type>
      <name>hash</name>
      <anchorfile>classKJS_1_1Lookup.html</anchorfile>
      <anchor>ac58bd6094ab67d70d3036f3951d6b2f7</anchor>
      <arglist>(const Identifier &amp;key)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Null</name>
    <filename>classKJS_1_1Null.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Null</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Null.html</anchorfile>
      <anchor>ac55086549993e5b9ec82888d1fbad4a2</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Number</name>
    <filename>classKJS_1_1Number.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Number</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Number.html</anchorfile>
      <anchor>a574a744ace39612446d1f8fc59c48bc2</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Object</name>
    <filename>classKJS_1_1Object.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type>Value</type>
      <name>prototype</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a28bd269fb9735db8ac5cd15880c33f8d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>className</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ae3d2e4af9afc58f87d4a65ad53867f0f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>get</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>acd251210ecb1796482a54fb6f3dc92e7</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>put</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>aa67ec5ebaa19921db0fec1688378da2e</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName, const Value &amp;value, int attr=None)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canPut</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>aa21636110a5ba16565151821ccddfb46</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ab5133e787e7a53b804ca382da67fee71</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteProperty</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a2d640f4d38e26af206e47723db28bd90</anchor>
      <arglist>(ExecState *exec, const Identifier &amp;propertyName)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>defaultValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a3e5fb487875bb0c9c6c4914786ac0cfe</anchor>
      <arglist>(ExecState *exec, Type hint) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsConstruct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a7bf71c346d843c543d5c83d28c1b6b39</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>construct</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a85a7d585cbaeaef5bff34676bb748cc7</anchor>
      <arglist>(ExecState *exec, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsCall</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a5fec222ec25772d878534da359d6ea48</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>call</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ab07be3e90ba2ba8352a9609cc4ac703c</anchor>
      <arglist>(ExecState *exec, Object &amp;thisObj, const List &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>implementsHasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a5e6fbdaac4717c7c973bc376e26ccee5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>hasInstance</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>aaf2fd9b4bdd6f136a47c4e687703979e</anchor>
      <arglist>(ExecState *exec, const Value &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>const ScopeChain &amp;</type>
      <name>scope</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>aa863ef6d83b40dbd962e2565ac8f9f9b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ReferenceList</type>
      <name>propList</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a8c7f2e3e8a4e60713cb58f8526cf875b</anchor>
      <arglist>(ExecState *exec, bool recursive=true)</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>internalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a930d31d0ac85c5610c1bbd2f9a7fe261</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInternalValue</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>a467d7a34694e82573c77fda53fffa50e</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Object</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Object.html</anchorfile>
      <anchor>ab12ea86cb49e21ea6c5547507f8d128e</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::PropertyMap</name>
    <filename>classKJS_1_1PropertyMap.html</filename>
  </compound>
  <compound kind="struct">
    <name>KJS::PropertyMapHashTableEntry</name>
    <filename>structKJS_1_1PropertyMapHashTableEntry.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::Reference</name>
    <filename>classKJS_1_1Reference.html</filename>
    <base>KJS::Value</base>
    <member kind="function">
      <type>Value</type>
      <name>getBase</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a89cc606c95ee09196da374bca3a22b9e</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>Identifier</type>
      <name>getPropertyName</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a6addb859c1c094091bc2fc644e6f5575</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>getValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>ada6d6eb7fd71f26b8612378d490a221e</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>putValue</name>
      <anchorfile>classKJS_1_1Reference.html</anchorfile>
      <anchor>a9a7b40644137d1a2a98a3f682c951735</anchor>
      <arglist>(ExecState *exec, const Value &amp;w)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceList</name>
    <filename>classKJS_1_1ReferenceList.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::ReferenceListIterator</name>
    <filename>classKJS_1_1ReferenceListIterator.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::SavedProperties</name>
    <filename>classKJS_1_1SavedProperties.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChain</name>
    <filename>classKJS_1_1ScopeChain.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::ScopeChainNode</name>
    <filename>classKJS_1_1ScopeChainNode.html</filename>
  </compound>
  <compound kind="class">
    <name>KJS::String</name>
    <filename>classKJS_1_1String.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static String</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1String.html</anchorfile>
      <anchor>a9934613ec4bb9e634b21d1cb5642ed1f</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KJS::UChar</name>
    <filename>structKJS_1_1UChar.html</filename>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a8aaf0cd63570e2d271a863297e0dad31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>af0bd84e189571915c31637231fdf87e1</anchor>
      <arglist>(unsigned char h, unsigned char l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UChar</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a36b7b16705c2bd371b0f5fe1a18d610d</anchor>
      <arglist>(unsigned short u)</arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>abd1d0e12827b4edbe34d6b9224c88ed0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a2ae19722d284146f84a7c346f006da60</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>abe291b44f4c7be9b5e87e737c5e83e3f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a4ff3dc602313b0fcdac0e656f145e7e6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>aaa6cd0efe43c7b1ace611a393fe9c446</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UChar</type>
      <name>null</name>
      <anchorfile>structKJS_1_1UChar.html</anchorfile>
      <anchor>a4954d69677d944c7699373849f419ba7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::UCharReference</name>
    <filename>classKJS_1_1UCharReference.html</filename>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a56eecba3f451dce35c90d54d4aae2e3e</anchor>
      <arglist>(UChar c)</arglist>
    </member>
    <member kind="function">
      <type>UCharReference &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a0e7b671c13a3836b746cc5faae201565</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>unicode</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a57a2bd9311ec827d6879212dcbf7bed9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>low</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a4fb46c2fda68406e264c236a2878ab71</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned char</type>
      <name>high</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a21d6763ef31c6e2f8e33de9d14fcc903</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>ad3827d3049984cad0c8c7ad6e409648d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UCharReference.html</anchorfile>
      <anchor>a9245ad70b89cd1993d83ae0f47cbd91a</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Undefined</name>
    <filename>classKJS_1_1Undefined.html</filename>
    <base>KJS::Value</base>
    <member kind="function" static="yes">
      <type>static Undefined</type>
      <name>dynamicCast</name>
      <anchorfile>classKJS_1_1Undefined.html</anchorfile>
      <anchor>a2f8a1c7556b12c35c66945af335e663d</anchor>
      <arglist>(const Value &amp;v)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::UString</name>
    <filename>classKJS_1_1UString.html</filename>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a6bff2ea822acdda7aa6203a31e2de5e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a3f119ee9f4b878721ca3c75fb15fbdd5</anchor>
      <arglist>(char c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a2a7c6a727fa9eb36aabc639644e3c026</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a02853f089c16880f35e4da47bd431ad6</anchor>
      <arglist>(const UChar *c, int length)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a2a3e7b1572efdee9bde6e10ec9c9b9e8</anchor>
      <arglist>(UChar *c, int length, bool copy)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>abd8f3a875d630b792ca9dcb8b0828134</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ae0adb7188c4c4b43f6630cec3a6a0d38</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a979972a884e0e907965219aa7905da3e</anchor>
      <arglist>(const DOM::DOMString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>aba0f033ac9b764df0130087af1a3a6ff</anchor>
      <arglist>(const UString &amp;, const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UString</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a307f135cb824def333ba70c2846e13b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>append</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>af20edaa32eba4f5c3a148098e843742d</anchor>
      <arglist>(const UString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CString</type>
      <name>cstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ad776d5ad8fc5afe3340594b0806a78c7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>ascii</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a7bdefec4e676d5ea24ce22dc779a0269</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>DOM::DOMString</type>
      <name>string</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a42d4a977300019f5e8355a7f381bce66</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>qstring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ab8f0192a7403f466c772c31aebb7992b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQConstString</type>
      <name>qconststring</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a9a8a6c808967e12aee63c257337dd0d9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a6c59536babf6a3f14f6cd762b6e3cce1</anchor>
      <arglist>(const char *c)</arglist>
    </member>
    <member kind="function">
      <type>UString &amp;</type>
      <name>operator+=</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a915032ee2f06584ed9085f1a15346f61</anchor>
      <arglist>(const UString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const UChar *</type>
      <name>data</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>aeab192477417412e77b1e8ce07c3dbc0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a8de3e17301a1fbfd283e33d4982ec3b8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a57346e40dacb6b3fb1a8e0154115d0db</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is8Bit</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a1d96667357fbe60fd5bb54f09d7bb3c1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ab428bbc466025c2f27153ee3b6970ae0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UChar</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>af0aefe55e382305b250ce5b02f8551a2</anchor>
      <arglist>(int pos) const</arglist>
    </member>
    <member kind="function">
      <type>UCharReference</type>
      <name>operator[]</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a3ab183a5bc8eff73f8f374536b54e44c</anchor>
      <arglist>(int pos)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toDouble</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a5033bc906d6c4daaa03fc8e71f38c0ca</anchor>
      <arglist>(bool tolerateTrailingJunk, bool tolerateEmptyString) const</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>toULong</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a0bd9e920c43bfb08a2e23d31aad068bc</anchor>
      <arglist>(bool *ok, bool tolerateEmptyString) const</arglist>
    </member>
    <member kind="function">
      <type>unsigned</type>
      <name>toArrayIndex</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a105902e1be5fb13afe281f1630c89db2</anchor>
      <arglist>(bool *ok=0) const</arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toLower</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a3d109b11417310fdf7a038516e9fb931</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toUpper</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ae147b5bc4132e181c2acad33128d9194</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>find</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a533bbbd660d594c94f3679012873f488</anchor>
      <arglist>(const UString &amp;f, int pos=0) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rfind</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a5857fe44e2e3c86d71956d90067207ba</anchor>
      <arglist>(const UString &amp;f, int pos) const</arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>substr</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>abf2c842eb55459ef26bd94ebc6b53743</anchor>
      <arglist>(int pos=0, int len=-1) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>afa4fb189e0a0a6094b54516833eb0257</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a37a7ad711ecba8d5877543a3fbd569fe</anchor>
      <arglist>(unsigned int u)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>a35acd4fb09b924dffe70254d500e8fcc</anchor>
      <arglist>(long l)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static UString</type>
      <name>from</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>acd2c0f8da1e7b0b9958e5742150347a6</anchor>
      <arglist>(double d)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static UString</type>
      <name>null</name>
      <anchorfile>classKJS_1_1UString.html</anchorfile>
      <anchor>ab593c40f5576c145960dc5e9bbdb80ea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::Value</name>
    <filename>classKJS_1_1Value.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>acf7acf67a6aa69c996b71225c6f438da</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>aba89987992c3b1cb2a4457360ae9463e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ad92661aed8c812a52859ef475bde956a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isA</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a1358f33ac0cb063ff9becd5b023b98a6</anchor>
      <arglist>(Type t) const</arglist>
    </member>
    <member kind="function">
      <type>Value</type>
      <name>toPrimitive</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ac0b3200ffe221ea92afd441a64907318</anchor>
      <arglist>(ExecState *exec, Type preferredType=UnspecifiedType) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBoolean</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ac7b36b060a41d3dd134f258171284204</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>toNumber</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>afabeb520cf49ba1242ab1b5ad86bebaf</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInteger</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a3c83d248a9e4b7bd9a7d7cfb895f2457</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>toInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a83735938cc3c961e7945c75f15b0d450</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a3eabf8636a19838fd50d8e623a451d38</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>toUInt16</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>ae00870b9d71c5fe8600c3757109b5d21</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>UString</type>
      <name>toString</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a0df86379153d4e67a4b6c7bda22691c7</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>toObject</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a1a70ab56e3427f1235cbca2ace4fc6ee</anchor>
      <arglist>(ExecState *exec) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toUInt32</name>
      <anchorfile>classKJS_1_1Value.html</anchorfile>
      <anchor>a2870d6bec629840737821584738f3825</anchor>
      <arglist>(unsigned &amp;i) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KJS::ValueImp</name>
    <filename>classKJS_1_1ValueImp.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Trinity JavaScript/EcmaScript Engine</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
