<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>KOpenSSLProxy</name>
    <filename>classKOpenSSLProxy.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>hasLibCrypto</name>
      <anchorfile>classKOpenSSLProxy.html</anchorfile>
      <anchor>aaf7d041e24a7d5862a6b01e7ceeceb73</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasLibSSL</name>
      <anchorfile>classKOpenSSLProxy.html</anchorfile>
      <anchor>a842082d3908e06c421c7fae343e16aaf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>destroy</name>
      <anchorfile>classKOpenSSLProxy.html</anchorfile>
      <anchor>a238406e590f9e50c2be544032245ad6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KOpenSSLProxy *</type>
      <name>self</name>
      <anchorfile>classKOpenSSLProxy.html</anchorfile>
      <anchor>ae52c060e4d98c84316078b1e2c8a8527</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSL</name>
    <filename>classKSSL.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSL</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a2be59147b83aa6e8ed03ea5af4c047ff</anchor>
      <arglist>(bool init=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSSL</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>acf3c2d40a80e09fc74cc1e6c813fee19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initialize</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>affdde4e60307ba2de41bd7a678db5970</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>TLSInit</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>ae369b2b9c136b4fc1d7ff5171bdd8ee3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>takeSession</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a1f135867ad748e5b4d07391cf29d7fc9</anchor>
      <arglist>(KSSLSession *session)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a139ce67948e3e90c52df03745207091e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reInitialize</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a1eacb2b55d699ce158af8c0b09322e8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reconfig</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a03ca504bc77b712e27be5ed6e18a1f14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoReconfig</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a019c925a4fc9a98ffd699d34b6565fe4</anchor>
      <arglist>(bool ar)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>seedWithEGD</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>ab0259ce081f4b6b2d7928120bf926e4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setSettings</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a07d13083665723ac4934eed2e84d0859</anchor>
      <arglist>(KSSLSettings *settings)</arglist>
    </member>
    <member kind="function">
      <type>KSSLSettings *</type>
      <name>settings</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a85adf60afb6d0b2e764ba4ad42aec43a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setClientCertificate</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>abccc0e454e09a3511766a4bcb188b5c4</anchor>
      <arglist>(KSSLPKCS12 *pkcs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProxyUse</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a007ea614fec77aaa67bc6781b1e36f26</anchor>
      <arglist>(bool active, TQString realIP=TQString::null, int realPort=0, TQString proxy=TQString::null) TDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPeerHost</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>aeeb2404cae2f2f54ad20ecacef513c53</anchor>
      <arglist>(TQString realHost=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>connect</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>abbc73f2a1ea948fed8adf951de7e3b4b</anchor>
      <arglist>(int sock)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>accept</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a5137a886ecb0b4880cadaffb668c7506</anchor>
      <arglist>(int sock)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>read</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>af965115c5e352f8691e67b48be9e3128</anchor>
      <arglist>(void *buf, int len)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>peek</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>acf3b01cdd797e67f1b6e8c1f36e44251</anchor>
      <arglist>(void *buf, int len)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>write</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a67be598a77dbe4695aa7a4a36aa3d44f</anchor>
      <arglist>(const void *buf, int len)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>pending</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a7ab6b430029e629bd97fad4832d806d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLConnectionInfo &amp;</type>
      <name>connectionInfo</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>aa5814d35d0094035c5882e34aa6e0f34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLPeerInfo &amp;</type>
      <name>peerInfo</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a8b9d0102c7c555782385a7b4cfd68102</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KSSLSession *</type>
      <name>session</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>af508e7d1bbdd8e9b380bf437b9e4c380</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reusingSession</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a2d28bf912652f019ec0ee90ad079f982</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>doesSSLWork</name>
      <anchorfile>classKSSL.html</anchorfile>
      <anchor>a0d25088d256aa6dcfbfd050087a74ae1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLCertBox</name>
    <filename>classKSSLCertBox.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLCertBox</name>
      <anchorfile>classKSSLCertBox.html</anchorfile>
      <anchor>a63a9b43490df013560b32c5eb6876683</anchor>
      <arglist>(TQWidget *parent=0L, const char *name=0L, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValues</name>
      <anchorfile>classKSSLCertBox.html</anchorfile>
      <anchor>afbf5c85be5d361d799a65a6d9138324d</anchor>
      <arglist>(TQString certName, TQWidget *mailCatcher=0L)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLCertChain</name>
    <filename>classKSSLCertChain.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLCertChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>a1b18799233c3d5a6a899c5c5e7a0788a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSSLCertChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>a8d7375db839dfa22086acfcb26102cfb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>a5793cc523b8391475d2a81e3f790b62e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertChain *</type>
      <name>replicate</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>aa4f1a5400d646358a3639320819fcbc8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>a4b0dbca979058906d030938893c68925</anchor>
      <arglist>(void *stack_of_x509)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>a024235827a0e1e5c6f47a11250918888</anchor>
      <arglist>(TQPtrList&lt; KSSLCertificate &gt; &amp;chain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>ac82df3390a733bd0b578917329af7bf2</anchor>
      <arglist>(TQStringList chain) TDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCertChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>afdac755a0c01abb8e2e9f24a9c08c8c8</anchor>
      <arglist>(const TQStringList &amp;chain)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; KSSLCertificate &gt;</type>
      <name>getChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>a47191b45ff40c245aa4eb8c246e17a1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>depth</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>aa54e74306fe2cc6611dda9eda83e63bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>rawChain</name>
      <anchorfile>classKSSLCertChain.html</anchorfile>
      <anchor>ae970aad5459f0bc44d799b656787df23</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLCertDlg</name>
    <filename>classKSSLCertDlg.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLCertDlg</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>aecd9a645345d7dc56de35e1f4b149753</anchor>
      <arglist>(TQWidget *parent=0L, const char *name=0L, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KSSLCertDlg</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>a61af0542b3cd7803e964be668cc2aef4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setup</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>a6a66c3a49edb48f83d56ea0896dc9044</anchor>
      <arglist>(TQStringList certs, bool saveChecked=false, bool sendChecked=true) TDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setupDialog</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>ae6a38d44f3c73c82d1df4bd9b5a04d8d</anchor>
      <arglist>(const TQStringList &amp;certs, bool saveChecked=false, bool sendChecked=true)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getChoice</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>aa98980fac416899ed572f024b26b750e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>wantsToSend</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>ac8c6c4c58c6f6cc979311eaa586ae6cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveChoice</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>a409d2f5a8e612fc92ced243e050b0d9f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHost</name>
      <anchorfile>classKSSLCertDlg.html</anchorfile>
      <anchor>a9a9dbb1bf752b82bcbda5465c89f243b</anchor>
      <arglist>(const TQString &amp;host)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLCertificate</name>
    <filename>classKSSLCertificate.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>KSSLValidation</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a2e4a36dd232c6a88307875ad7853a9c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSSLCertificate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>acb1f0276d0ad2bec87d18bbf42a653f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>toString</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a752b9fee5fb6db69a979d680deeaf8b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getSubject</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>aaf796196eb3d7be239e901dbe7dfee49</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getIssuer</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>aaa61666fd5b8bd689529deb0f0f6d5e9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getNotBefore</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a1f70da5d87946e62aca4cf887d19bb90</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getNotAfter</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a944f5a15586adba9572b67536b603dab</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>getQDTNotBefore</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>af968a31e5728b3b582bbdfdc38d906d8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>getQDTNotAfter</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a341a0b113e62db323e08a1258a2a12b6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>getQDTLastUpdate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a0554e45d1605ed2a4ec951d6a60b73e7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQDateTime</type>
      <name>getQDTNextUpdate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a3fc7792ff94872215723537d557afcbd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>toDer</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a9efcf667e601745f58e026f6fe7c1b51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>toPem</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a56a08dec48d88524e7b80c9a0d5cab0d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQByteArray</type>
      <name>toNetscape</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a164bc27e69cb1fa619f5225cf72ed15a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>toText</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a077933645309b36ddb157a8a5e9a224a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getSerialNumber</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ae806da1a209cc6a12e547ddcc545d254</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getKeyType</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a2fe32e57922675b9836d8eb016a20e33</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getPublicKeyText</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ad561085d0b8828024bc08fb92dc84c6f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getMD5DigestText</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>af55dfbf10914795d18b7d06f6222842c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getMD5Digest</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a568f27c0ec14c4f9bc4172bf8acf86a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getSignatureText</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a372773286dc553da9a351f1d79622350</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a43b350abc81f44d9cc83db83b450f587</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a4fd05cba55dc2c9be24dc37f8fb8a140</anchor>
      <arglist>(KSSLPurpose p)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>subjAltNames</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a9ffb154e8acc93f271be29eb18acc1c5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KSSLValidation</type>
      <name>validate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ab0f3499c141ff191c79ff7d513dcb609</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLValidation</type>
      <name>validate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a9f8261cd828ea1a820acfc6d1df9d0e6</anchor>
      <arglist>(KSSLPurpose p)</arglist>
    </member>
    <member kind="function">
      <type>KSSLValidationList</type>
      <name>validateVerbose</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a808f42cc270d053c6552444e21066720</anchor>
      <arglist>(KSSLPurpose p)</arglist>
    </member>
    <member kind="function">
      <type>KSSLValidationList</type>
      <name>validateVerbose</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ab3ccb91dde5a951863bed485fae288e4</anchor>
      <arglist>(KSSLPurpose p, KSSLCertificate *ca)</arglist>
    </member>
    <member kind="function">
      <type>KSSLValidation</type>
      <name>revalidate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a385d22e68fc6529820f06c7111aff3a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLValidation</type>
      <name>revalidate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ad5be0b928cd4fda9ab8923938b07e39a</anchor>
      <arglist>(KSSLPurpose p)</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertChain &amp;</type>
      <name>chain</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>aeceb3e8a7e680c3bc5ed802db8940343</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate *</type>
      <name>replicate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>af05f9d608f93ca71a2b353bb48a224c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KSSLCertificate</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a0cad9b05686c9bbd5df49befedd5b8b0</anchor>
      <arglist>(const KSSLCertificate &amp;x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setCert</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ab70ac891103da290d76a1379c1cfd2f8</anchor>
      <arglist>(TQString &amp;cert)</arglist>
    </member>
    <member kind="function">
      <type>KSSLX509V3 &amp;</type>
      <name>x509V3Extensions</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a100edb1c7cf92fee486f84d288c14f93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSigner</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>af0bb742d280dfcbb27d71e769df5b74d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>getEmails</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a129fd5d11cc3f4b1b728c2c92e0f0893</anchor>
      <arglist>(TQStringList &amp;to) const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getKDEKey</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a58a0f02b6b7087133e905b62f30a1c1a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLCertificate *</type>
      <name>fromString</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a9968fcc904af2a00d21fb59d48decebd</anchor>
      <arglist>(TQCString cert)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLCertificate *</type>
      <name>crlFromString</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>a4adab5e6381f807a34c3c9b0bbe96914</anchor>
      <arglist>(TQCString cert)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLCertificate *</type>
      <name>fromX509</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ac7e097a18c944275a204310adbe1c786</anchor>
      <arglist>(X509 *x5)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>verifyText</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>ab3e8991994b892f0c4ab32c9debc4ef7</anchor>
      <arglist>(KSSLValidation x)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>getMD5DigestFromKDEKey</name>
      <anchorfile>classKSSLCertificate.html</anchorfile>
      <anchor>adcea465418c3ce3d4a391c64a56cfbf8</anchor>
      <arglist>(const TQString &amp;k)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLConnectionInfo</name>
    <filename>classKSSLConnectionInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>~KSSLConnectionInfo</name>
      <anchorfile>classKSSLConnectionInfo.html</anchorfile>
      <anchor>a2de195979d5e08f22b2ef3bffff4395b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getCipher</name>
      <anchorfile>classKSSLConnectionInfo.html</anchorfile>
      <anchor>a2453e5348a806374eb98221a6b60ba12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getCipherDescription</name>
      <anchorfile>classKSSLConnectionInfo.html</anchorfile>
      <anchor>a4bf12c90c6f490f0b58472fe22530846</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>getCipherVersion</name>
      <anchorfile>classKSSLConnectionInfo.html</anchorfile>
      <anchor>a596d76fa71864c317274817f20c5f1ce</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCipherUsedBits</name>
      <anchorfile>classKSSLConnectionInfo.html</anchorfile>
      <anchor>a3e62aa98f573302fd14e891f12832443</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getCipherBits</name>
      <anchorfile>classKSSLConnectionInfo.html</anchorfile>
      <anchor>a88d9dbcbf77579c60b887e9fa7511f6f</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLInfoDlg</name>
    <filename>classKSSLInfoDlg.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLInfoDlg</name>
      <anchorfile>classKSSLInfoDlg.html</anchorfile>
      <anchor>a118f0a5542b2f0994acabb39316c475d</anchor>
      <arglist>(bool secureConnection, TQWidget *parent=0L, const char *name=0L, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KSSLInfoDlg</name>
      <anchorfile>classKSSLInfoDlg.html</anchorfile>
      <anchor>a9517194d39e848d5df8ae98204fa2811</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecurityInQuestion</name>
      <anchorfile>classKSSLInfoDlg.html</anchorfile>
      <anchor>ac1dee45ab16ccfe903ba1c81395c94b7</anchor>
      <arglist>(bool isIt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setup</name>
      <anchorfile>classKSSLInfoDlg.html</anchorfile>
      <anchor>ab75d553f30001b5e661ac6eadd6d7797</anchor>
      <arglist>(KSSLCertificate *cert, const TQString &amp;ip, const TQString &amp;url, const TQString &amp;cipher, const TQString &amp;cipherdesc, const TQString &amp;sslversion, int usedbits, int bits, KSSLCertificate::KSSLValidation certState)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setup</name>
      <anchorfile>classKSSLInfoDlg.html</anchorfile>
      <anchor>a8423cc5a83c8abb0894d71d37695297d</anchor>
      <arglist>(KSSL &amp;ssl, const TQString &amp;ip, const TQString &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCertState</name>
      <anchorfile>classKSSLInfoDlg.html</anchorfile>
      <anchor>a84b33f47902bcf2d7ae96b585ffffe0d</anchor>
      <arglist>(const TQString &amp;errorNrs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLCertBox *</type>
      <name>certInfoWidget</name>
      <anchorfile>classKSSLInfoDlg.html</anchorfile>
      <anchor>aa5cffe33ce5209d9364316df71599485</anchor>
      <arglist>(TQWidget *parent, const TQString &amp;certName, TQWidget *mailCatcher=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLKeyGen</name>
    <filename>classKSSLKeyGen.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLKeyGen</name>
      <anchorfile>classKSSLKeyGen.html</anchorfile>
      <anchor>af76990ac118939c7da98fcb189a2fc66</anchor>
      <arglist>(TQWidget *parent=0L, const char *name=0L, bool modal=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KSSLKeyGen</name>
      <anchorfile>classKSSLKeyGen.html</anchorfile>
      <anchor>a54b336b6b62b7fd11b195701c76aac6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>generateCSR</name>
      <anchorfile>classKSSLKeyGen.html</anchorfile>
      <anchor>ace88c39a760f28b1d889bb94811963b7</anchor>
      <arglist>(const TQString &amp;name, const TQString &amp;pass, int bits, int e=0x10001)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeySize</name>
      <anchorfile>classKSSLKeyGen.html</anchorfile>
      <anchor>a44eeb7fc14c63666313d2a4b12d2fd7a</anchor>
      <arglist>(int idx)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>supportedKeySizes</name>
      <anchorfile>classKSSLKeyGen.html</anchorfile>
      <anchor>afbd8e87c3be5ff355bed04a17184cb86</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLPeerInfo</name>
    <filename>classKSSLPeerInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>~KSSLPeerInfo</name>
      <anchorfile>classKSSLPeerInfo.html</anchorfile>
      <anchor>a0e8f26d7fa5d7aa46f55c5c636974bb9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate &amp;</type>
      <name>getPeerCertificate</name>
      <anchorfile>classKSSLPeerInfo.html</anchorfile>
      <anchor>a6b8dff836b9b2ead44bdc219985cbac5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certMatchesAddress</name>
      <anchorfile>classKSSLPeerInfo.html</anchorfile>
      <anchor>ac3e8fd7c70aaf05bf038844364ae144f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cnMatchesAddress</name>
      <anchorfile>classKSSLPeerInfo.html</anchorfile>
      <anchor>a4849c01642f45281278de56a96a378e7</anchor>
      <arglist>(TQString cn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPeerHost</name>
      <anchorfile>classKSSLPeerInfo.html</anchorfile>
      <anchor>ae1a29289b9a9e57d37abeedc8cc35446</anchor>
      <arglist>(TQString host=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>peerHost</name>
      <anchorfile>classKSSLPeerInfo.html</anchorfile>
      <anchor>adbc28592cb255f821c17cd6128a8f73e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKSSLPeerInfo.html</anchorfile>
      <anchor>a4cd4fd12bf95a9c76205e0ffabf97594</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLPKCS12</name>
    <filename>classKSSLPKCS12.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KSSLPKCS12</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a33dc32b8fa9bb380a0e53c29b34c0fe2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a104cb996c0cec3ba67e93698510cb311</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>toString</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a21bae19f7085d55bf4ea63c1d98cbefd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCert</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>ae46a27a0e643461d3c4d8bced577aebd</anchor>
      <arglist>(PKCS12 *c)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changePassword</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a762982a967ab2920c7af981bc4dc3c18</anchor>
      <arglist>(TQString pold, TQString pnew)</arglist>
    </member>
    <member kind="function">
      <type>EVP_PKEY *</type>
      <name>getPrivateKey</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a2a65acfa2725f8d20c1fc518341a42d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate *</type>
      <name>getCertificate</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a8629012ce0527d8da360268019fa8716</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toFile</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a5bb0b9326f1fe51a0bd116dd40c8b102</anchor>
      <arglist>(TQString filename)</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate::KSSLValidation</type>
      <name>validate</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a6b2772778836a8fd915f0ebf7dbf3ea1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate::KSSLValidation</type>
      <name>validate</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>aa6aa35b84d6975f7c42ce687cb3dbf38</anchor>
      <arglist>(KSSLCertificate::KSSLPurpose p)</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate::KSSLValidation</type>
      <name>revalidate</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a0f78407d7f922efbd1e44ac064ff9db9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate::KSSLValidation</type>
      <name>revalidate</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>afd17ff5d245e5c74e127f15c29aa906e</anchor>
      <arglist>(KSSLCertificate::KSSLPurpose p)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>afe2694dcab8fd0cde594487aae2b149b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a596b37770abfe8bafd3490a7d53a3a85</anchor>
      <arglist>(KSSLCertificate::KSSLPurpose p)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLPKCS12 *</type>
      <name>fromString</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a4dc8e1de58e0abca2c30335056699245</anchor>
      <arglist>(TQString base64, TQString password=&quot;&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLPKCS12 *</type>
      <name>loadCertFile</name>
      <anchorfile>classKSSLPKCS12.html</anchorfile>
      <anchor>a730e9f9ca2e12c5f8d81e6763ec98d27</anchor>
      <arglist>(TQString filename, TQString password=&quot;&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLPKCS7</name>
    <filename>classKSSLPKCS7.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KSSLPKCS7</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>aca7985557eacd71b9be37280163ec1a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a70cd63396d8ac61c83a7222a77a19f79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>toString</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a514a67c3b76dfa989229a5421ae2b1c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCert</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a07ad4db829e508539a9d1c16202d5075</anchor>
      <arglist>(PKCS7 *c)</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate *</type>
      <name>getCertificate</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a8ec106890ebca5026623e8d6bb54019f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertChain *</type>
      <name>getChain</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a38bab663282f921dfdf2b60f6d16d1ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toFile</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a372311060b597f1212eaac778ba0a266</anchor>
      <arglist>(TQString filename)</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate::KSSLValidation</type>
      <name>validate</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a10e97a0c48b0161d546e68a9c5d5af51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSSLCertificate::KSSLValidation</type>
      <name>revalidate</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>acd7ac8578372cad3afa4168a51707d6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a3e8c6e76679ac0857c11660e65da8460</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLPKCS7 *</type>
      <name>fromString</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>a113c3786db3fea1cd1f2706caca7f4b5</anchor>
      <arglist>(TQString base64)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLPKCS7 *</type>
      <name>loadCertFile</name>
      <anchorfile>classKSSLPKCS7.html</anchorfile>
      <anchor>aa8175afb981f172d9181162b10adb909</anchor>
      <arglist>(TQString filename)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLSession</name>
    <filename>classKSSLSession.html</filename>
    <member kind="function">
      <type></type>
      <name>~KSSLSession</name>
      <anchorfile>classKSSLSession.html</anchorfile>
      <anchor>a2bfa2b67857be12e42b83db6e025a47c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>toString</name>
      <anchorfile>classKSSLSession.html</anchorfile>
      <anchor>acda2b68b85ee10e3c5f8f28e40382223</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSSLSession *</type>
      <name>fromString</name>
      <anchorfile>classKSSLSession.html</anchorfile>
      <anchor>a1487f4c4dc6925773016233d0033ccba</anchor>
      <arglist>(const TQString &amp;s)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLSettings</name>
    <filename>classKSSLSettings.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLSettings</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a1ca41558f3b5aeaa37134b759902e1fb</anchor>
      <arglist>(bool readConfig=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSSLSettings</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>aca9df6072992c95737d73c9ed01f8cc5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sslv2</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a26849b76416e45c6d226034a9f4b95ef</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sslv3</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a2fedcc17bacfd442340f751843d6479f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>tlsv1</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a3becee76f2539bac3a05421021b38e61</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnOnEnter</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a65a4ad8d0ae75427f4fbae79248106ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarnOnEnter</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>ad91773078c80a8e8a6e2d1e0e992255a</anchor>
      <arglist>(bool x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnOnUnencrypted</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a951d8bc9421101919b14a8ece1384a59</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarnOnUnencrypted</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a2dd13a45ee62ce0c045155dae33126fe</anchor>
      <arglist>(bool x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnOnLeave</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>ae08df7f5f020fe35c8c95ccfe92c4e34</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWarnOnLeave</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a94029210be149076d90e03570d6c94ac</anchor>
      <arglist>(bool x)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnOnMixed</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a09957ff818c087c4a70a1ec76029a28b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnOnSelfSigned</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a332dc45e7b23688475a10d68e0b7c763</anchor>
      <arglist>() const TDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnOnRevoked</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a0eec8daa92650f8450387d113e809a63</anchor>
      <arglist>() const TDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>warnOnExpired</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a32e12b4cd397add11482c78e54991467</anchor>
      <arglist>() const TDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useEGD</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>aced7ebd1c1e238c7a69b712f71cb8a5d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useEFile</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a6e8b7b898e8db28373d3508319fc61ed</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTLSv1</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>aaea4d47969eabfcf6099cd5562b0c699</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSSLv2</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a7f0448cbd7e80ced040f8ce744d9f2ef</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSSLv3</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a620644096de710e027c8ea318b83880c</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoSendX509</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a0b34b3f32a667fa5bd794268af6b0d33</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>promptSendX509</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>aab93f196ea74462975f276d318bbe9a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getCipherList</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a08c222a67b56464918aa68b010eb57aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString &amp;</type>
      <name>getEGDPath</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>ab4fab3bbd05db32aaedfb37226e12da8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a4cbefbf3bd5019889b31d54c361b5d92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>a0c7cc7eacc2fc79de58c701b90f608c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKSSLSettings.html</anchorfile>
      <anchor>abce1ca6c4cbd4cbd73b810d7b78aee6c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLSigners</name>
    <filename>classKSSLSigners.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLSigners</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>abfd8b134bc1485f3d87f05e505c7ac14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSSLSigners</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>af9001de8dbc4eec6e22ffd080c14005b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addCA</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a874eed1b6f9779650caaa8aef7a1b2b5</anchor>
      <arglist>(KSSLCertificate &amp;cert, bool ssl, bool email, bool code)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addCA</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a94dd5d381f4867f3bddfb0fbb6790e9d</anchor>
      <arglist>(TQString cert, bool ssl, bool email, bool code)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>regenerate</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a66ef06206c9a374c858b2847e8bb3f80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useForSSL</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>acdd5a4c3a760399443e80d804555f38f</anchor>
      <arglist>(KSSLCertificate &amp;cert)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useForSSL</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a5895167775121b489a7f1841d1d0786d</anchor>
      <arglist>(TQString subject)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useForEmail</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a9fed5ca2535ca8ebc7f8402b8c144a5d</anchor>
      <arglist>(KSSLCertificate &amp;cert)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useForEmail</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a0ee046e3d6ab5a70c18617c5d8143f86</anchor>
      <arglist>(TQString subject)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useForCode</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>ae63fd683d99c74fae93b57653ba56da7</anchor>
      <arglist>(KSSLCertificate &amp;cert)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useForCode</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a9ece4a5c46e10d3bba22d684d0a9e7ce</anchor>
      <arglist>(TQString subject)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>remove</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>ae1a6c9d746412540f289f481444989fb</anchor>
      <arglist>(KSSLCertificate &amp;cert)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>remove</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a03d3dfa4d86e8512dd25821d805923ac</anchor>
      <arglist>(TQString subject)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>list</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>ad1edb9221ef874ae193f4e88d608242b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getCert</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>a183ebb1ff3984a04e330299bfdaf905a</anchor>
      <arglist>(TQString subject)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setUse</name>
      <anchorfile>classKSSLSigners.html</anchorfile>
      <anchor>ab82be3b9f88639394b6d0b7be5a71488</anchor>
      <arglist>(TQString subject, bool ssl, bool email, bool code)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLX509Map</name>
    <filename>classKSSLX509Map.html</filename>
    <member kind="function">
      <type></type>
      <name>KSSLX509Map</name>
      <anchorfile>classKSSLX509Map.html</anchorfile>
      <anchor>a2b23115ba55e537b578a4b35edc3d2f1</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSSLX509Map</name>
      <anchorfile>classKSSLX509Map.html</anchorfile>
      <anchor>aa7820453cc731194df1cb6b21aae6285</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValue</name>
      <anchorfile>classKSSLX509Map.html</anchorfile>
      <anchor>ac47f6daa076d54cf3aa31376e273681c</anchor>
      <arglist>(const TQString &amp;key, const TQString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>getValue</name>
      <anchorfile>classKSSLX509Map.html</anchorfile>
      <anchor>ac2b887e3200c7585a34202b63123c08e</anchor>
      <arglist>(const TQString &amp;key) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKSSLX509Map.html</anchorfile>
      <anchor>a2f3c2c3779ace04b14bdaa9901ebc6ad</anchor>
      <arglist>(const TQString &amp;name=&quot;&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSSLX509V3</name>
    <filename>classKSSLX509V3.html</filename>
    <member kind="function">
      <type></type>
      <name>~KSSLX509V3</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>acc294051ac62abc57ac034d0f3c096f6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeCA</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a98bb7c4292f544f28bc32ffedc390a09</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeSSLCA</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a9eb77fe24fcd6a235874ff43b9ba53be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeEmailCA</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a7a08195989f487473f946b91a4f522b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeCodeCA</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a9236445b459ba8223b461fa14ea50ed7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeSSLClient</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a20ec4776a1964bb455580ae5bbf3c976</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeSSLServer</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>ab61dae10d38a566375bad8f097947559</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeNSSSLServer</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a35054ea3030e5b6ebdcd2bbd385429f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeSMIME</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a3fb4cf9a770b82a96e646b2072689544</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeSMIMEEncrypt</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>aa787e16494f3eb45eed6993a59af1c33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeSMIMESign</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>a1cc97793f4d76c9083c66a816324b45e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>certTypeCRLSign</name>
      <anchorfile>classKSSLX509V3.html</anchorfile>
      <anchor>ac7e883f5c84cde22e7a2ce5d785ba2a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
