<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>TDEWallet::Wallet</name>
    <filename>classTDEWallet_1_1Wallet.html</filename>
    <base>DCOPObject</base>
    <member kind="signal">
      <type>void</type>
      <name>walletClosed</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a113f417c2df8c0ec8f9e10acefa39c32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>folderUpdated</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a1db23b4a9aad780adb062067ae0d6368</anchor>
      <arglist>(const TQString &amp;folder)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>folderListUpdated</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a19e8b7cfd2a5077f89e47a92b37ad006</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>folderRemoved</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a680a8cc2f560fba3f32d185e9239fa44</anchor>
      <arglist>(const TQString &amp;folder)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>walletOpened</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>af29ab1a7075e472b5fcdbd56ead86ee0</anchor>
      <arglist>(bool success)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Wallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a443dc95f50e4a9d8e6d5282e13fedcde</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>sync</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a130cd4fc92605d7e237d1105a9ef08c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>lockWallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a17fb06745ae8c526baeff2b41fb3c1f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const TQString &amp;</type>
      <name>walletName</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>abecb04d8222990401e079d2eef684c35</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isOpen</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a4acf596db7d79c10cf2778b6892d4d5f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>requestChangePassword</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>afbcd4a0eacdadf15ccfeadf528b0b96e</anchor>
      <arglist>(WId w=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>folderList</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a5bf2a4d4bb8b2d67d875a63932ae23ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasFolder</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>af05a5f0068b5b4cc8b0ff5f0d1d0e80d</anchor>
      <arglist>(const TQString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>setFolder</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a7c492e8a18f9362d6260105471e9a4ed</anchor>
      <arglist>(const TQString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>removeFolder</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>ae001137cf000cb5b5683fa848653b34c</anchor>
      <arglist>(const TQString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createFolder</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a77f85b8054daa957836e087a70e051b9</anchor>
      <arglist>(const TQString &amp;f)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const TQString &amp;</type>
      <name>currentFolder</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a2d58dabe8d39dca770c490cebe88db6c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQStringList</type>
      <name>entryList</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>aef8aebcc226fd908e67f71affc6172aa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>renameEntry</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a6ad0fc421021aeed78c8d52b26eddf75</anchor>
      <arglist>(const TQString &amp;oldName, const TQString &amp;newName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readEntry</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>af58fa0c81321196bfe64b404edf3eaa0</anchor>
      <arglist>(const TQString &amp;key, TQByteArray &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readMap</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>ad9612347e83e4d0e6886f56b6b62a8b9</anchor>
      <arglist>(const TQString &amp;key, TQMap&lt; TQString, TQString &gt; &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>readPassword</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a9b1bb6d0d4c0baf602af7a31e09938c7</anchor>
      <arglist>(const TQString &amp;key, TQString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readEntryList</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>ae75f82e035b64de0ea3f51281f5835a0</anchor>
      <arglist>(const TQString &amp;key, TQMap&lt; TQString, TQByteArray &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readMapList</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a01822516c46b32fea6cb0a88088bb463</anchor>
      <arglist>(const TQString &amp;key, TQMap&lt; TQString, TQMap&lt; TQString, TQString &gt; &gt; &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readPasswordList</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a2ca7666b6293caa1c43b4236a54ee3cc</anchor>
      <arglist>(const TQString &amp;key, TQMap&lt; TQString, TQString &gt; &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writeEntry</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a535d81c07c78cfe09fb907fca7dfe74c</anchor>
      <arglist>(const TQString &amp;key, const TQByteArray &amp;value, EntryType entryType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writeEntry</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>ab718a2d7652527e89bb464877a11fb18</anchor>
      <arglist>(const TQString &amp;key, const TQByteArray &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writeMap</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a4d079867097ad55d01327e2d2a49dd3f</anchor>
      <arglist>(const TQString &amp;key, const TQMap&lt; TQString, TQString &gt; &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>writePassword</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a61505f894eac32a32e55e3b07ad9f48a</anchor>
      <arglist>(const TQString &amp;key, const TQString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>hasEntry</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a6f49ace9988f1ecd6a88b835cdf38a11</anchor>
      <arglist>(const TQString &amp;key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>removeEntry</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a9521957261382cf63a0555d22ff4fc99</anchor>
      <arglist>(const TQString &amp;key)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual EntryType</type>
      <name>entryType</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a226383b701f36705b07f97fc5cea9f83</anchor>
      <arglist>(const TQString &amp;key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>walletList</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>ad1c49eb450b9fca4c3e2e4633d0d9c1d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isEnabled</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>aa4967b716b8f2be3647e1725e4b912e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isOpen</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a0d9e6a28e77e874c70b1d043e05ed6f5</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>closeWallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a5deed4ee3dcfaad6567aeb4b9fb2e58f</anchor>
      <arglist>(const TQString &amp;name, bool force)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>deleteWallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a1fb024c11ca645bed87c9e30ca92c828</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>disconnectApplication</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a8ad0cb64c5baaa8e3832279aa18f52a4</anchor>
      <arglist>(const TQString &amp;wallet, const TQCString &amp;app)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Wallet *</type>
      <name>openWallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a2692affafc2e353a9c93cfc0bf957af1</anchor>
      <arglist>(const TQString &amp;name, WId w=0, OpenType ot=Synchronous)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>users</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>ac56da9386cc6d85bb40a93a6208d6ae8</anchor>
      <arglist>(const TQString &amp;wallet)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>LocalWallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a703f210c9252d7a9cacb9643f9deb2cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>NetworkWallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>adc951eed1a38db1d6df47f8dd56701e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>PasswordFolder</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>aaef759c922bc008342b9c22fa3db93a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const TQString</type>
      <name>FormDataFolder</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>abb855b50f7c5fba52eebf1583e90a099</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>changePassword</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>ace2a57b09a1f4308b643e6791af94af2</anchor>
      <arglist>(const TQString &amp;name, WId w=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>folderDoesNotExist</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a52f048903a1764780fce91e84e3d3dcf</anchor>
      <arglist>(const TQString &amp;wallet, const TQString &amp;folder)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>keyDoesNotExist</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a4fa6ecec0cc9cf486805d8c25d75e0b9</anchor>
      <arglist>(const TQString &amp;wallet, const TQString &amp;folder, const TQString &amp;key)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Wallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a11333f0ced4f0bc4b9712b2383af7d6b</anchor>
      <arglist>(int handle, const TQString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Wallet</name>
      <anchorfile>classTDEWallet_1_1Wallet.html</anchorfile>
      <anchor>a1a9085bceaa25af0185d0962bce3798e</anchor>
      <arglist>(const Wallet &amp;)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TDEWallet</name>
    <filename>namespaceTDEWallet.html</filename>
    <class kind="class">TDEWallet::Wallet</class>
  </compound>
</tagfile>
