<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>KTextEditor::BlockSelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>BlockSelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionDCOPInterface.html</anchorfile>
      <anchor>a8a9f71173d039cbce0f2b38461fea9b9</anchor>
      <arglist>(BlockSelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BlockSelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionDCOPInterface.html</anchorfile>
      <anchor>a193a52d793a6368fbb25abf6f4155dd0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::BlockSelectionInterface</name>
    <filename>classKTextEditor_1_1BlockSelectionInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>blockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>a96b684dcba74d12ce6a0775d7ce951c4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setBlockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>acb686f1370fa922eb6f858e1938f3acb</anchor>
      <arglist>(bool on)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>toggleBlockSelectionMode</name>
      <anchorfile>classKTextEditor_1_1BlockSelectionInterface.html</anchorfile>
      <anchor>aa33f8e972e90e48da1242e2de0c18840</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardDCOPInterface</name>
    <filename>classKTextEditor_1_1ClipboardDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>ClipboardDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ClipboardDCOPInterface.html</anchorfile>
      <anchor>afe8f1e9fbdb9ea1f907913ab07b56fe1</anchor>
      <arglist>(ClipboardInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ClipboardDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ClipboardDCOPInterface.html</anchorfile>
      <anchor>a44026724177bf003e0dfb03b2ea35614</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ClipboardInterface</name>
    <filename>classKTextEditor_1_1ClipboardInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>copy</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a0b1790b7b55555081dc92066b63cead8</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cut</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a89ca8dcf82a2256acfe242415da68bcd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>paste</name>
      <anchorfile>classKTextEditor_1_1ClipboardInterface.html</anchorfile>
      <anchor>a0d0de9f7a80ffe58c0277916601c369a</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CodeCompletionInterface</name>
    <filename>classKTextEditor_1_1CodeCompletionInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showArgHint</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a7c50588d4631181044005a2012b16976</anchor>
      <arglist>(TQStringList functionList, const TQString &amp;strWrapping, const TQString &amp;strDelimiter)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showCompletionBox</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a9a870b2fc395847a0bed5e0ccc303653</anchor>
      <arglist>(TQValueList&lt; CompletionEntry &gt; complList, int offset=0, bool casesensitive=true)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionAborted</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>acc2a70a638912b50d08b043f4c00b290</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>acc7dc04c16cd875409de4bfd2464ec73</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>completionDone</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a020dade17a3fb671cac23f15be0eb56e</anchor>
      <arglist>(CompletionEntry)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>argHintHidden</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a13ce5f7a3b1445abd293633ce44116a6</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>filterInsertString</name>
      <anchorfile>classKTextEditor_1_1CodeCompletionInterface.html</anchorfile>
      <anchor>a82d75361086209f980eafcf35e96bdc2</anchor>
      <arglist>(CompletionEntry *, TQString *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CompletionEntry</name>
    <filename>classKTextEditor_1_1CompletionEntry.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ConfigInterface</name>
    <filename>classKTextEditor_1_1ConfigInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>abbad2337f2f7931cc5f1c927e4e708cf</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>aea253d115adaf7310f94942e24c8e829</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readSessionConfig</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a26438011a27aded3bdfcea6a5e787d43</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>configDialog</name>
      <anchorfile>classKTextEditor_1_1ConfigInterface.html</anchorfile>
      <anchor>a52bb0985e06569c37eac8c6d318da3d4</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ConfigInterfaceExtension</name>
    <filename>classKTextEditor_1_1ConfigInterfaceExtension.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>configPages</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>a50921a6ca522765e3e26fc7851e97a57</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>configPage</name>
      <anchorfile>classKTextEditor_1_1ConfigInterfaceExtension.html</anchorfile>
      <anchor>ae378c1e0aac7f3818fc159164494b60e</anchor>
      <arglist>(uint number=0, TQWidget *parent=0, const char *name=0)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Cursor</name>
    <filename>classKTextEditor_1_1Cursor.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::CursorInterface</name>
    <filename>classKTextEditor_1_1CursorInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual Cursor *</type>
      <name>createCursor</name>
      <anchorfile>classKTextEditor_1_1CursorInterface.html</anchorfile>
      <anchor>aadecd5506afc2bc5dd3d8b8f653ffd68</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Document</name>
    <filename>classKTextEditor_1_1Document.html</filename>
    <base>KTextEditor::Editor</base>
    <member kind="function">
      <type>unsigned int</type>
      <name>documentNumber</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>ada92db70f2cf7278b7fee800ce2854fc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>documentDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>ab55c57cef9550e05271ad930f21f24fe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class View *</type>
      <name>createView</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a48daf3b3589615d7210f8d96b2175824</anchor>
      <arglist>(TQWidget *parent, const char *name=0)=0</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>documentListPosition</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a11dbf4bc8de33a009f8b64fcf9a1c0a1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocumentListPosition</name>
      <anchorfile>classKTextEditor_1_1Document.html</anchorfile>
      <anchor>a242254be7428f4d76b9f1141448f6c10</anchor>
      <arglist>(long pos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoDCOPInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>DocumentInfoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoDCOPInterface.html</anchorfile>
      <anchor>abbf15f69a084071d1d79a3e44162dd57</anchor>
      <arglist>(DocumentInfoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DocumentInfoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1DocumentInfoDCOPInterface.html</anchorfile>
      <anchor>a80ef912e9222ccf5286c52148f33cc37</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DocumentInfoInterface</name>
    <filename>classKTextEditor_1_1DocumentInfoInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::DynWordWrapInterface</name>
    <filename>classKTextEditor_1_1DynWordWrapInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditDCOPInterface</name>
    <filename>classKTextEditor_1_1EditDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>EditDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EditDCOPInterface.html</anchorfile>
      <anchor>afcdc9b541b5736aec705686027eeef99</anchor>
      <arglist>(EditInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EditDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EditDCOPInterface.html</anchorfile>
      <anchor>a7069e9eb3e55f199117d3891a03ce3b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterface</name>
    <filename>classKTextEditor_1_1EditInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>text</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>aa7a9c854f895d4a145af025bfb024de7</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>text</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a9958bb2dd32f9b537e4fded022c4900c</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>textLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a907f6d8fdb7c6b1d7c20acb64b1698eb</anchor>
      <arglist>(uint line) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>numLines</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>adad7f986747ea893c9d88888f782eab6</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>length</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a6ccd8394f7d0641e88cde79df0ad0cb0</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>lineLength</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a85dbbaab639d3232905d36aa128f7593</anchor>
      <arglist>(uint line) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>aaf8ac3b349596e510b3582cd479edd12</anchor>
      <arglist>(const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clear</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a651d4591e51f7f85189bb285b6eb43c2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a4a6b083c6ec904178e2bab5d1dce0387</anchor>
      <arglist>(uint line, uint col, const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeText</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a8ba5e6bfcb64c7e7ef94f63866c16a0e</anchor>
      <arglist>(uint startLine, uint startCol, uint endLine, uint endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>insertLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a4624e779f2b8d85533bd4101e0b08900</anchor>
      <arglist>(uint line, const TQString &amp;text)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeLine</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a49d74dc5e2f0036af1bac0f46be4999a</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>textChanged</name>
      <anchorfile>classKTextEditor_1_1EditInterface.html</anchorfile>
      <anchor>a58a3df6a76fd7e4fd3e1d0f829b96d09</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EditInterfaceExt</name>
    <filename>classKTextEditor_1_1EditInterfaceExt.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>editBegin</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>a4beb59cc13bbe83fa3b48c99fce307eb</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>editEnd</name>
      <anchorfile>classKTextEditor_1_1EditInterfaceExt.html</anchorfile>
      <anchor>aaf88fd5db47a7243304fb1a44bbdeeb4</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Editor</name>
    <filename>classKTextEditor_1_1Editor.html</filename>
    <member kind="function">
      <type></type>
      <name>Editor</name>
      <anchorfile>classKTextEditor_1_1Editor.html</anchorfile>
      <anchor>af9038bf4380223c636d4b3015ce7a65f</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingDCOPInterface</name>
    <filename>classKTextEditor_1_1EncodingDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>EncodingDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EncodingDCOPInterface.html</anchorfile>
      <anchor>ac4dead2b5457dc2f7a44a4143846c88b</anchor>
      <arglist>(EncodingInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~EncodingDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1EncodingDCOPInterface.html</anchorfile>
      <anchor>a19a7ba0c1aada8db50012b1653091c6e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::EncodingInterface</name>
    <filename>classKTextEditor_1_1EncodingInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::HighlightingInterface</name>
    <filename>classKTextEditor_1_1HighlightingInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>hlMode</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a244657d34cfb6789b85c0ef80624799f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setHlMode</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a8c9b8834fed554359a0fa6ddbb7dbe24</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>hlModeCount</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a59e175146692a29f2090df058125bfd9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>hlModeName</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>a6249ddad6fc6bb58f94304a75693fe87</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>hlModeSectionName</name>
      <anchorfile>classKTextEditor_1_1HighlightingInterface.html</anchorfile>
      <anchor>aa3a6fc2ba5b2c3b33e757f1f8a57c2ac</anchor>
      <arglist>(unsigned int mode)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::MarkInterface</name>
    <filename>classKTextEditor_1_1MarkInterface.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>MarkTypes</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType01</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eeaf2471aab55a7910fb4450d51cce8dc59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType02</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea23c07e24da915076047cd921c4621a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType03</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea8971a6d13db24fe3fe95bc2f9c6c3805</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType04</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea21889afbe7e38f38b4e901db153ea4ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType05</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea4ef62f766de25a6f7e950d921995b498</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType06</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea068ec7d831882c520248faecf0becf5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType07</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea13b4ecc91bdb3a791b5726cf9de5f81b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType01</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eeaf2471aab55a7910fb4450d51cce8dc59</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType02</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea23c07e24da915076047cd921c4621a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType03</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea8971a6d13db24fe3fe95bc2f9c6c3805</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType04</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea21889afbe7e38f38b4e901db153ea4ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType05</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea4ef62f766de25a6f7e950d921995b498</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType06</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea068ec7d831882c520248faecf0becf5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>markType07</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a273ff5baa46445732d5661390bc1b8eea13b4ecc91bdb3a791b5726cf9de5f81b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>mark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a6128d28595c1318a1598aa040ef825e0</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a83983e94bc935aec4fdf5afa82f20921</anchor>
      <arglist>(uint line, uint markType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a2e9a21958d70a5fb7dd791231e8f623c</anchor>
      <arglist>(uint line)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>removeMark</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>ab024f5e74295a32ffa32e45124ece125</anchor>
      <arglist>(uint line, uint markType)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQPtrList&lt; KTextEditor::Mark &gt;</type>
      <name>marks</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a7f3997a026ecac6cc0e3475dac82f209</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>clearMarks</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a21bd3e2ce11b88fab502d5f469436d61</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>reservedMarkersCount</name>
      <anchorfile>classKTextEditor_1_1MarkInterface.html</anchorfile>
      <anchor>a1835af6cce125ad06e02775dbf41c278</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::MarkInterfaceExtension</name>
    <filename>classKTextEditor_1_1MarkInterfaceExtension.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::Plugin</name>
    <filename>classKTextEditor_1_1Plugin.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PluginViewInterface</name>
    <filename>classKTextEditor_1_1PluginViewInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PopupMenuInterface</name>
    <filename>classKTextEditor_1_1PopupMenuInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>installPopup</name>
      <anchorfile>classKTextEditor_1_1PopupMenuInterface.html</anchorfile>
      <anchor>a95ee44277a6e8903b0833486d0db8091</anchor>
      <arglist>(TQPopupMenu *rmb_Menu)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintDCOPInterface</name>
    <filename>classKTextEditor_1_1PrintDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>PrintDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1PrintDCOPInterface.html</anchorfile>
      <anchor>af047cdeeff28c42fb1a089c52d4c618a</anchor>
      <arglist>(PrintInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PrintDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1PrintDCOPInterface.html</anchorfile>
      <anchor>a95698e2dd7c6c0bf80b046e593d82b75</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::PrintInterface</name>
    <filename>classKTextEditor_1_1PrintInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchDCOPInterface</name>
    <filename>classKTextEditor_1_1SearchDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>SearchDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SearchDCOPInterface.html</anchorfile>
      <anchor>afc874432daae869c586b3e5c22039e9a</anchor>
      <arglist>(SearchInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SearchDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SearchDCOPInterface.html</anchorfile>
      <anchor>acdfc36731b79f5e62ee8709e4686214e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SearchInterface</name>
    <filename>classKTextEditor_1_1SearchInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionDCOPInterface.html</anchorfile>
      <anchor>ab2666353d202c46db64ecea6588ddb75</anchor>
      <arglist>(SelectionInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SelectionDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1SelectionDCOPInterface.html</anchorfile>
      <anchor>a0e21844c5a8394bd350ac045ad61918f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionExtDCOPInterface</name>
    <filename>classKTextEditor_1_1SelectionExtDCOPInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterface</name>
    <filename>classKTextEditor_1_1SelectionInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a66a9a370accf41b4a9cfb2d7f0d9e073</anchor>
      <arglist>(unsigned int startLine, unsigned int startCol, unsigned int endLine, unsigned int endCol)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>clearSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a074d914d7c464e4805f593993d078721</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>hasSelection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>adf944cd3ea0317c32bc8d2a053a7c28b</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>selection</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a5be89782e8b85b98a3892ca92d8b3436</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>removeSelectedText</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a163c71eaaf8b71efb687bf66bef6632d</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>selectAll</name>
      <anchorfile>classKTextEditor_1_1SelectionInterface.html</anchorfile>
      <anchor>a8f46869ab360e2f443498d789e4411e1</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SelectionInterfaceExt</name>
    <filename>classKTextEditor_1_1SelectionInterfaceExt.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartLine</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a5f3a9bfe0a2c36dcf44c357dd9b7c4e4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selStartCol</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a36f7ccb3d7b88c7e02763213fb56ac00</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndLine</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>aa8b2ac11a74a509cccb8ea9422da6c63</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>selEndCol</name>
      <anchorfile>classKTextEditor_1_1SelectionInterfaceExt.html</anchorfile>
      <anchor>a90178931c1ba525fb17f48b93ed6f790</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::SessionConfigInterface</name>
    <filename>classKTextEditor_1_1SessionConfigInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>readSessionConfig</name>
      <anchorfile>classKTextEditor_1_1SessionConfigInterface.html</anchorfile>
      <anchor>a3b0b2d66bf418796759f77f0e8b2f60e</anchor>
      <arglist>(TDEConfig *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::TemplateInterface</name>
    <filename>classKTextEditor_1_1TemplateInterface.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>insertTemplateText</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>affb40bf2a754e2a83babb18451e36686</anchor>
      <arglist>(uint line, uint column, const TQString &amp;templateString, const TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>expandMacros</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>a3f0fa82680fadcc0936b4cdcaa2767fe</anchor>
      <arglist>(TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>insertTemplateTextImplementation</name>
      <anchorfile>classKTextEditor_1_1TemplateInterface.html</anchorfile>
      <anchor>a296391e8a48bd84fbf9ae1365db4032f</anchor>
      <arglist>(uint line, uint column, const TQString &amp;templateString, const TQMap&lt; TQString, TQString &gt; &amp;initialValues, TQWidget *parentWindow=0)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::TextHintInterface</name>
    <filename>classKTextEditor_1_1TextHintInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>enableTextHints</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>ab8771312d67a7c6f137c85b4bb5a73f3</anchor>
      <arglist>(int timeout)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>disableTextHints</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>ac2994f96d1093e65109ac59fc5cc67fd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>textHintInterfaceNumber</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>adcb78788a7d0e1e3fc0fdf1dad79faf3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>needTextHint</name>
      <anchorfile>classKTextEditor_1_1TextHintInterface.html</anchorfile>
      <anchor>a69fe62232929373e62ebfbf059fa4e14</anchor>
      <arglist>(int line, int col, TQString &amp;text)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoDCOPInterface</name>
    <filename>classKTextEditor_1_1UndoDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>UndoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1UndoDCOPInterface.html</anchorfile>
      <anchor>ac9ade210a495937331dfb91b7b35a7c1</anchor>
      <arglist>(UndoInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~UndoDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1UndoDCOPInterface.html</anchorfile>
      <anchor>aadc3587bbebd3ec529391ced70243157</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::UndoInterface</name>
    <filename>classKTextEditor_1_1UndoInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual unsigned int</type>
      <name>undoSteps</name>
      <anchorfile>classKTextEditor_1_1UndoInterface.html</anchorfile>
      <anchor>addf024a3efdb4bd9ad7dcca74de5ee95</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::VariableInterface</name>
    <filename>classKTextEditor_1_1VariableInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>variable</name>
      <anchorfile>classKTextEditor_1_1VariableInterface.html</anchorfile>
      <anchor>a02a328856785d59491f89ec6c880f930</anchor>
      <arglist>(const TQString &amp;name) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>variableChanged</name>
      <anchorfile>classKTextEditor_1_1VariableInterface.html</anchorfile>
      <anchor>a62a372ebe00f14426c37431e5df5b2e5</anchor>
      <arglist>(const TQString &amp;variable, const TQString &amp;value)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::View</name>
    <filename>classKTextEditor_1_1View.html</filename>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>a74c7741448c50944d926c1c23916192e</anchor>
      <arglist>(class Document *, TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>viewNumber</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>aee28535c62b0c34a4533a54537879a2a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>viewDCOPSuffix</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>aeebf1ddf6d3bb61de0e238c08c97f9b1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual class Document *</type>
      <name>document</name>
      <anchorfile>classKTextEditor_1_1View.html</anchorfile>
      <anchor>a3d59ca066c8fd425998ebd6a9dff2297</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewCursorDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>ViewCursorDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewCursorDCOPInterface.html</anchorfile>
      <anchor>a5d80ab4e782675778e081a1226523d10</anchor>
      <arglist>(ViewCursorInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewCursorDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewCursorDCOPInterface.html</anchorfile>
      <anchor>ad9e1b6bc19797c7c273179c3d43edfb7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewCursorInterface</name>
    <filename>classKTextEditor_1_1ViewCursorInterface.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual class TQPoint</type>
      <name>cursorCoordinates</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a13d83316f5beae7a0cae440cbafeb0f7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPosition</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a9995ed8ea76390b98ab656dae0814efa</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>cursorPositionReal</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a5a9cec87405a6edb45124b734f1c4ef7</anchor>
      <arglist>(unsigned int *line, unsigned int *col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPosition</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a2c4a3e8b5050ceb3b217ddc95843e33f</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>setCursorPositionReal</name>
      <anchorfile>classKTextEditor_1_1ViewCursorInterface.html</anchorfile>
      <anchor>a3a578a2eff187fcf751f9a24fdbbbcda</anchor>
      <arglist>(unsigned int line, unsigned int col)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgDCOPInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</filename>
    <member kind="function">
      <type></type>
      <name>ViewStatusMsgDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</anchorfile>
      <anchor>a1793b6f06dcf63afcb9531c29868f133</anchor>
      <arglist>(ViewStatusMsgInterface *Parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ViewStatusMsgDCOPInterface</name>
      <anchorfile>classKTextEditor_1_1ViewStatusMsgDCOPInterface.html</anchorfile>
      <anchor>ab8b70b1d69076bf6ef930225b5226ae8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KTextEditor::ViewStatusMsgInterface</name>
    <filename>classKTextEditor_1_1ViewStatusMsgInterface.html</filename>
  </compound>
  <compound kind="class">
    <name>KTextEditor::WordWrapInterface</name>
    <filename>classKTextEditor_1_1WordWrapInterface.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KTextEditor</name>
    <filename>namespaceKTextEditor.html</filename>
    <class kind="class">KTextEditor::BlockSelectionDCOPInterface</class>
    <class kind="class">KTextEditor::BlockSelectionInterface</class>
    <class kind="class">KTextEditor::ClipboardDCOPInterface</class>
    <class kind="class">KTextEditor::ClipboardInterface</class>
    <class kind="class">KTextEditor::CodeCompletionInterface</class>
    <class kind="class">KTextEditor::CompletionEntry</class>
    <class kind="class">KTextEditor::ConfigInterface</class>
    <class kind="class">KTextEditor::ConfigInterfaceExtension</class>
    <class kind="class">KTextEditor::Cursor</class>
    <class kind="class">KTextEditor::CursorInterface</class>
    <class kind="class">KTextEditor::Document</class>
    <class kind="class">KTextEditor::DocumentInfoDCOPInterface</class>
    <class kind="class">KTextEditor::DocumentInfoInterface</class>
    <class kind="class">KTextEditor::DynWordWrapInterface</class>
    <class kind="class">KTextEditor::EditDCOPInterface</class>
    <class kind="class">KTextEditor::EditInterface</class>
    <class kind="class">KTextEditor::EditInterfaceExt</class>
    <class kind="class">KTextEditor::Editor</class>
    <class kind="class">KTextEditor::EncodingDCOPInterface</class>
    <class kind="class">KTextEditor::EncodingInterface</class>
    <class kind="class">KTextEditor::HighlightingInterface</class>
    <class kind="class">KTextEditor::MarkInterface</class>
    <class kind="class">KTextEditor::MarkInterfaceExtension</class>
    <class kind="class">KTextEditor::Plugin</class>
    <class kind="class">KTextEditor::PluginViewInterface</class>
    <class kind="class">KTextEditor::PopupMenuInterface</class>
    <class kind="class">KTextEditor::PrintDCOPInterface</class>
    <class kind="class">KTextEditor::PrintInterface</class>
    <class kind="class">KTextEditor::SearchDCOPInterface</class>
    <class kind="class">KTextEditor::SearchInterface</class>
    <class kind="class">KTextEditor::SelectionDCOPInterface</class>
    <class kind="class">KTextEditor::SelectionExtDCOPInterface</class>
    <class kind="class">KTextEditor::SelectionInterface</class>
    <class kind="class">KTextEditor::SelectionInterfaceExt</class>
    <class kind="class">KTextEditor::SessionConfigInterface</class>
    <class kind="class">KTextEditor::TemplateInterface</class>
    <class kind="class">KTextEditor::TextHintInterface</class>
    <class kind="class">KTextEditor::UndoDCOPInterface</class>
    <class kind="class">KTextEditor::UndoInterface</class>
    <class kind="class">KTextEditor::VariableInterface</class>
    <class kind="class">KTextEditor::View</class>
    <class kind="class">KTextEditor::ViewCursorDCOPInterface</class>
    <class kind="class">KTextEditor::ViewCursorInterface</class>
    <class kind="class">KTextEditor::ViewStatusMsgDCOPInterface</class>
    <class kind="class">KTextEditor::ViewStatusMsgInterface</class>
    <class kind="class">KTextEditor::WordWrapInterface</class>
    <member kind="function">
      <type>KTEXTEDITOR_EXPORT BlockSelectionInterface *</type>
      <name>blockSelectionInterface</name>
      <anchorfile>namespaceKTextEditor.html</anchorfile>
      <anchor>a6280007cf2d863d57d5d9cd601a27bb0</anchor>
      <arglist>(class Document *doc)</arglist>
    </member>
  </compound>
</tagfile>
