<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>KateCommands::Character</name>
    <filename>classKateCommands_1_1Character.html</filename>
    <base>Kate::Command</base>
    <member kind="function">
      <type>bool</type>
      <name>exec</name>
      <anchorfile>classKateCommands_1_1Character.html</anchorfile>
      <anchor>a10b4f527dc93cc1564bee601e623a21b</anchor>
      <arglist>(class Kate::View *view, const TQString &amp;cmd, TQString &amp;errorMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>help</name>
      <anchorfile>classKateCommands_1_1Character.html</anchorfile>
      <anchor>a87432af82536f94c5e5640b117831624</anchor>
      <arglist>(class Kate::View *, const TQString &amp;, TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>cmds</name>
      <anchorfile>classKateCommands_1_1Character.html</anchorfile>
      <anchor>ad481cb9dd316d6d7702d8c800e555ca5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Command</name>
    <filename>classKate_1_1Command.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual TQStringList</type>
      <name>cmds</name>
      <anchorfile>classKate_1_1Command.html</anchorfile>
      <anchor>a14f0530e7b315d7333e9b6400ad227d9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>exec</name>
      <anchorfile>classKate_1_1Command.html</anchorfile>
      <anchor>a79355cb71ba8f87068320236e70f25f4</anchor>
      <arglist>(View *view, const TQString &amp;cmd, TQString &amp;msg)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>help</name>
      <anchorfile>classKate_1_1Command.html</anchorfile>
      <anchor>a5d02c5792f63c5c9df6c2aa977d8cd72</anchor>
      <arglist>(View *view, const TQString &amp;cmd, TQString &amp;msg)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::CommandExtension</name>
    <filename>classKate_1_1CommandExtension.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>flagCompletions</name>
      <anchorfile>classKate_1_1CommandExtension.html</anchorfile>
      <anchor>a26a374458bff9c1b56aef24f98aa2478</anchor>
      <arglist>(TQStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TDECompletion *</type>
      <name>completionObject</name>
      <anchorfile>classKate_1_1CommandExtension.html</anchorfile>
      <anchor>ae36d3302aac3e6ef1a73e2c314bcceb5</anchor>
      <arglist>(const TQString &amp;cmdname, Kate::View *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>wantsToProcessText</name>
      <anchorfile>classKate_1_1CommandExtension.html</anchorfile>
      <anchor>a2d35409b4493be168b0b8a06fe0ded32</anchor>
      <arglist>(const TQString &amp;cmdname)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processText</name>
      <anchorfile>classKate_1_1CommandExtension.html</anchorfile>
      <anchor>a825953104f7b5772a8b18b3f7adecc95</anchor>
      <arglist>(Kate::View *view, const TQString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateCommands::CoreCommands</name>
    <filename>classKateCommands_1_1CoreCommands.html</filename>
    <base>Kate::Command</base>
    <base>Kate::CommandExtension</base>
    <member kind="function">
      <type>bool</type>
      <name>exec</name>
      <anchorfile>classKateCommands_1_1CoreCommands.html</anchorfile>
      <anchor>ae8137c00c7f380f10029c9e4c61acc23</anchor>
      <arglist>(class Kate::View *view, const TQString &amp;cmd, TQString &amp;errorMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>help</name>
      <anchorfile>classKateCommands_1_1CoreCommands.html</anchorfile>
      <anchor>aa7ec954f58934391f0567a4d2f0c7b16</anchor>
      <arglist>(class Kate::View *, const TQString &amp;, TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>cmds</name>
      <anchorfile>classKateCommands_1_1CoreCommands.html</anchorfile>
      <anchor>abaee51317f6b0dd9d33077a08690d206</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TDECompletion *</type>
      <name>completionObject</name>
      <anchorfile>classKateCommands_1_1CoreCommands.html</anchorfile>
      <anchor>af2501f0f6f237871a692732395e4f990</anchor>
      <arglist>(const TQString &amp;cmd, Kate::View *view)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateCommands::Date</name>
    <filename>classKateCommands_1_1Date.html</filename>
    <base>Kate::Command</base>
    <member kind="function">
      <type>bool</type>
      <name>exec</name>
      <anchorfile>classKateCommands_1_1Date.html</anchorfile>
      <anchor>a60251645958cc720a6a8854fe2f5e0ad</anchor>
      <arglist>(class Kate::View *view, const TQString &amp;cmd, TQString &amp;errorMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>help</name>
      <anchorfile>classKateCommands_1_1Date.html</anchorfile>
      <anchor>abd369f7bdba41d6fc82b263d1c1373cd</anchor>
      <arglist>(class Kate::View *, const TQString &amp;, TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>cmds</name>
      <anchorfile>classKateCommands_1_1Date.html</anchorfile>
      <anchor>a11e59a926528109cf17586658bee996c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::Document</name>
    <filename>classKate_1_1Document.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>modifiedOnDisc</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>ab4eef7e9393a63319f94b7271d5a5296</anchor>
      <arglist>(Kate::Document *doc, bool isModified, unsigned char reason)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>isModOnHD</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>a47625665ba93e87a7afb17348cf0946c</anchor>
      <arglist>(bool=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>docName</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>a0ba6a55783d38188a9207ec9b351fec1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setDocName</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>a9f557804cdc92f6a740747cfd11af130</anchor>
      <arglist>(TQString)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>reloadFile</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>ad27861491bafe790c87704bec68bf481</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>spellcheck</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>a75421666e05ff69aff63d0373ba190ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>colorConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>aec1c750043d2b1e00168d1ef8131cc3b</anchor>
      <arglist>(TQWidget *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>fontConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>a7d586020312eb30ac127c27f5c77267c</anchor>
      <arglist>(TQWidget *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>indentConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>a595fc3466a4ef82f77823272a322e1f5</anchor>
      <arglist>(TQWidget *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>selectConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>ade6aa5d729b5eba9b77df4c73bcd0ef4</anchor>
      <arglist>(TQWidget *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>editConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>ac9cc1bc5bd26794fca219b3f9462522a</anchor>
      <arglist>(TQWidget *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>keysConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>aa42347e88a096c56f65a05afeb364a09</anchor>
      <arglist>(TQWidget *)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ConfigPage *</type>
      <name>kSpellConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>ab666fb9907aafde97f074cba261c9a8b</anchor>
      <arglist>(TQWidget *)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ConfigPage *</type>
      <name>hlConfigPage</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>aff742b7cd4b8d732d29b1be35a6a14bd</anchor>
      <arglist>(TQWidget *)=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>registerCommand</name>
      <anchorfile>classKate_1_1Document.html</anchorfile>
      <anchor>a61aa3a67db109b0d14a088d55a748c58</anchor>
      <arglist>(Command *cmd)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::DocumentExt</name>
    <filename>classKate_1_1DocumentExt.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>ModifiedOnDiskReason</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unmodified</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8a3efe923cbfad136cc5604a61c5833e73</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Modified</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8a4a2df0a2f534458bc231e2b0324096f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Created</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8a50d2877b477d3a74c0cfa95604263060</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Deleted</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8af61aea78e85a32c45942d5ad8fde65c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Unmodified</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8a3efe923cbfad136cc5604a61c5833e73</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Modified</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8a4a2df0a2f534458bc231e2b0324096f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Created</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8a50d2877b477d3a74c0cfa95604263060</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Deleted</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a06dbce3b2a9a2c549825a218bed976c8af61aea78e85a32c45942d5ad8fde65c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setModifiedOnDisk</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a1f13eea185c90e6a40459567dba626d3</anchor>
      <arglist>(int reason)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>slotModifiedOnDisk</name>
      <anchorfile>classKate_1_1DocumentExt.html</anchorfile>
      <anchor>a87b494985e564166e51b22bcc654c64a</anchor>
      <arglist>(View *v=0)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IndenterConfigPage</name>
    <filename>classIndenterConfigPage.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>apply</name>
      <anchorfile>classIndenterConfigPage.html</anchorfile>
      <anchor>a657b8f15f576026626613f222b3e9e3e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IndenterConfigPage</name>
      <anchorfile>classIndenterConfigPage.html</anchorfile>
      <anchor>a1949182a71b0cc9646462a7b7df5bda6</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateArbitraryHighlight</name>
    <filename>classKateArbitraryHighlight.html</filename>
  </compound>
  <compound kind="class">
    <name>KateAttribute</name>
    <filename>classKateAttribute.html</filename>
  </compound>
  <compound kind="class">
    <name>KateAutoIndent</name>
    <filename>classKateAutoIndent.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateConfig</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a5b9403f6cfc46b37a30916c9f9c338df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateAutoIndent</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>aaa586e495edbb04b8fe95ea658c41971</anchor>
      <arglist>(KateDocument *doc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateAutoIndent</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a9511bc9bdc72acc3ccc7e48b765a789c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canProcessNewLine</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a1683ae1b48fbabb1521c1f5bee8cc52e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processNewline</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a431d918498341150da146dec9d0edafb</anchor>
      <arglist>(KateDocCursor &amp;cur, bool needContinue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processChar</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a82341a5dda9ed7431a63deb473568f42</anchor>
      <arglist>(TQChar c)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processLine</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>ac967b282deaebe4b3197f1e9093cdf00</anchor>
      <arglist>(KateDocCursor &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processSection</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a522d139cf019301f5665b0c71cb84b55</anchor>
      <arglist>(const KateDocCursor &amp;, const KateDocCursor &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canProcessLine</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>ae9041bd77b75ecb992167ae2946ef38b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual uint</type>
      <name>modeNumber</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>acfa7edf22a4c6ce23942505a6e133637</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KateAutoIndent *</type>
      <name>createIndenter</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>af991cabe27f27715822d2aad30ef6996</anchor>
      <arglist>(KateDocument *doc, uint mode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>listModes</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a8fb424b1ffebad188889af773ae2d004</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>modeName</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a88477bfc7e20ae5b7a91fb43961b2607</anchor>
      <arglist>(uint mode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>modeDescription</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>aa9f02013314c7d5185c424d5f4581ad3</anchor>
      <arglist>(uint mode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static uint</type>
      <name>modeNumber</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a08453966e2e3fb6c4ae738e6cc4a457a</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>hasConfigPage</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a040123225f3f97056b79c75fabfac43e</anchor>
      <arglist>(uint mode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static IndenterConfigPage *</type>
      <name>configPage</name>
      <anchorfile>classKateAutoIndent.html</anchorfile>
      <anchor>a961b1fd8d9b1aac56a578a37188e2140</anchor>
      <arglist>(TQWidget *parent, uint mode)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateBrowserExtension</name>
    <filename>classKateBrowserExtension.html</filename>
    <base>KParts::BrowserExtension</base>
    <member kind="slot">
      <type>void</type>
      <name>copy</name>
      <anchorfile>classKateBrowserExtension.html</anchorfile>
      <anchor>a54dc124496a9f17bfcdcb2ee3e013fc1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKateBrowserExtension.html</anchorfile>
      <anchor>a85ab2d0b0cd7faf92f5c4cb6f38f754a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>print</name>
      <anchorfile>classKateBrowserExtension.html</anchorfile>
      <anchor>ab10a4607f49f42baafdd9b89868461b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateBrowserExtension</name>
      <anchorfile>classKateBrowserExtension.html</anchorfile>
      <anchor>a3d798c75c78a1e5e8c50f8c21f25a03e</anchor>
      <arglist>(KateDocument *doc)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateBufBlock</name>
    <filename>classKateBufBlock.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>State</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a1323fe55ce0737ead602f6f8ec284806</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateBufBlock</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>afb827e147a79e8864b2f25767bd1e917</anchor>
      <arglist>(KateBuffer *parent, KateBufBlock *prev=0, KateBufBlock *next=0, KateFileLoader *stream=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateBufBlock</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a0dcda94925a652c5d1513a760f32e570</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>State</type>
      <name>state</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a966ab23a9d0b6d0a36d72ce345ab0b14</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KateTextLine::Ptr</type>
      <name>line</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a7520846446a46d5a0347cdc586208c48</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertLine</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>ac2a63e50e0e60e9279fd09657e0ab06a</anchor>
      <arglist>(uint i, KateTextLine::Ptr line)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeLine</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a78d9681f957efa1707f83bfdb278eb53</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>markDirty</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a6987befaf4789220dc2503122a650f6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>startLine</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>af804596bb84bdaffad5f2773ce275547</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStartLine</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a241df7e2f3ee1ee0333dffab301fe476</anchor>
      <arglist>(uint line)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>endLine</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>ab00a99683de80450e945673538d9cc5a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>lines</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>af60bb5933db73b1c724d2c8e2303234e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KateBufBlock *</type>
      <name>prev</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a9952a10dc65af35ff2f1e3256446345b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateBufBlock *</type>
      <name>next</name>
      <anchorfile>classKateBufBlock.html</anchorfile>
      <anchor>a25d85603f8c5577aa17acf2ef8284a5e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateBufBlockList</name>
    <filename>classKateBufBlockList.html</filename>
    <member kind="function">
      <type></type>
      <name>KateBufBlockList</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>a3b184a85e872ac643921b19fa6ee019f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>count</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>a843077d25b5b0acaa3e54f4aef30a762</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KateBufBlock *</type>
      <name>first</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>a4c65c34fb3eb935a7da9fb024b0f72b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateBufBlock *</type>
      <name>last</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>a8617085435704a5ac943b27172ff2df7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFirst</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>a8467a6ac7bb3e63833694d6c3521c99d</anchor>
      <arglist>(KateBufBlock *buf)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLast</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>a6f88c0e90c6dd78e2ab87c7a1fc3f1e2</anchor>
      <arglist>(KateBufBlock *buf)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>a84d139ab94e5c5952a065d0bc38c420b</anchor>
      <arglist>(KateBufBlock *buf)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>remove</name>
      <anchorfile>classKateBufBlockList.html</anchorfile>
      <anchor>aae208670d5a5c6606d7bb58b4e82cde5</anchor>
      <arglist>(KateBufBlock *buf)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateBuffer</name>
    <filename>classKateBuffer.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>codeFoldingUpdated</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>ad302ddd9a5f968e32dc2771f0d55bfc8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tagLines</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a16e13b84dc9243a51a4d72a437efb435</anchor>
      <arglist>(int start, int end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateBuffer</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>aaf23d74106856ae4059646959d8a75d4</anchor>
      <arglist>(KateDocument *doc)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateBuffer</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a15e8a3199f8e81c55a6f7ff9965743f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>editStart</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>afd97187e85201aec2064dc485cba1cf0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>editEnd</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>ab361cf1451e7c095a797ee4beec17223</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>editChanged</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a19ffe11e9b79ad106b11230e64799a94</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>editTagStart</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>ab7b630586ac528ec850f2fe4fd34e62a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>editTagEnd</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a2d408626e22e360526647c6074ddad16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>editTagFrom</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a844bb54d57aa981867a67041b0fac251</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a58836dcc0e264d228b9dff5a90d918c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openFile</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a05c47bc67278b98b8a7ddf87faf9bb6b</anchor>
      <arglist>(const TQString &amp;m_file)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadingBorked</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a4e72cab0b96f5a7c04d3421f55906674</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>binary</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a54e980e6a0e508f730e209aab7e8ff74</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncode</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a7d09450243302f4abb3a8ddd1abaf82d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveFile</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>abadee17602c52767ab0ea262e86af286</anchor>
      <arglist>(const TQString &amp;m_file)</arglist>
    </member>
    <member kind="function">
      <type>KateTextLine::Ptr</type>
      <name>line</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>abbad05496f3f5a38dafa95263dea6842</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>KateTextLine::Ptr</type>
      <name>plainLine</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>ac2f2ce619c7afcdb828e6190932fbf56</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>count</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a4ff13078c0b499e1e50c3f14c363ba8c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLine</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a95d708a4d3ea9764905e2b8941222b67</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertLine</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a9813374bdc26d8658db2074a4b189f3e</anchor>
      <arglist>(uint i, KateTextLine::Ptr line)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeLine</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>a20c38fa148dcc62a77079113cf8bec28</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHighlight</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>aa0e9534998826f15d7166bbf8ddd7da2</anchor>
      <arglist>(uint hlMode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>invalidateHighlighting</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>af1f522693b404a106dd3f11bbb8f314d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static uint</type>
      <name>maxLoadedBlocks</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>afff8e878d364c1bb7c26cd164f249413</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMaxLoadedBlocks</name>
      <anchorfile>classKateBuffer.html</anchorfile>
      <anchor>add702e870c0dc7c62fec60753318f74a</anchor>
      <arglist>(uint count)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateCmdShellCompletion</name>
    <filename>classKateCmdShellCompletion.html</filename>
    <base>TDECompletion</base>
    <member kind="function">
      <type>TQString</type>
      <name>makeCompletion</name>
      <anchorfile>classKateCmdShellCompletion.html</anchorfile>
      <anchor>a7739c9ff729fe1199cfde08ee1dea0fa</anchor>
      <arglist>(const TQString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateConfig</name>
    <filename>classKateConfig.html</filename>
    <member kind="function">
      <type></type>
      <name>KateConfig</name>
      <anchorfile>classKateConfig.html</anchorfile>
      <anchor>a2925490514043dcfa2bf081eca32a6be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateConfig</name>
      <anchorfile>classKateConfig.html</anchorfile>
      <anchor>a4bdc14ed16c55c5fff578a009ed23233</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>configStart</name>
      <anchorfile>classKateConfig.html</anchorfile>
      <anchor>a8e1cdd568e18881fed2811f311483734</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>configEnd</name>
      <anchorfile>classKateConfig.html</anchorfile>
      <anchor>a7adfecc80be8bd59d5b597978986bf7a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>updateConfig</name>
      <anchorfile>classKateConfig.html</anchorfile>
      <anchor>ad53f2eaf923569e2e096e061b6be0721</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateDocCursor</name>
    <filename>classKateDocCursor.html</filename>
    <base>KateTextCursor</base>
    <member kind="function">
      <type>bool</type>
      <name>nextNonSpaceChar</name>
      <anchorfile>classKateDocCursor.html</anchorfile>
      <anchor>aa4056e73624bab804e4b7d188dcef584</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>previousNonSpaceChar</name>
      <anchorfile>classKateDocCursor.html</anchorfile>
      <anchor>a1f3c897bc29aa2e94d741907714d3d14</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateJScript</name>
    <filename>classKateJScript.html</filename>
    <member kind="function">
      <type></type>
      <name>KateJScript</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>ac9d27bbc21dd8906b558cb531f2b6d6b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateJScript</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>acf2a62cd3965b321b64dcead2d6bb3f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KJS::ObjectImp *</type>
      <name>wrapDocument</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>a9ff2cf4e65f8dd151c1d4ef5e347b048</anchor>
      <arglist>(KJS::ExecState *exec, KateDocument *doc)</arglist>
    </member>
    <member kind="function">
      <type>KJS::ObjectImp *</type>
      <name>wrapView</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>a262e82dba1df53821e3ef27056bc2814</anchor>
      <arglist>(KJS::ExecState *exec, KateView *view)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>execute</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>a26d5d796ded0fb39bfba0d95177538ca</anchor>
      <arglist>(KateView *view, const TQString &amp;script, TQString &amp;errorMsg)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KJS::Object *</type>
      <name>m_global</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>a173883694404de18cc74b0451cd8138d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KJS::Interpreter *</type>
      <name>m_interpreter</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>a3a9de7c77f1138c3245174133fb666e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KJS::Object *</type>
      <name>m_document</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>a4e671ae67fe5e80d7ae70563b6cae62b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KJS::Object *</type>
      <name>m_view</name>
      <anchorfile>classKateJScript.html</anchorfile>
      <anchor>ab42d7b10cd05ab3b0d5bf34fb5b78fb5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateModOnHdPrompt</name>
    <filename>classKateModOnHdPrompt.html</filename>
    <base>KDialogBase</base>
    <member kind="slot">
      <type>void</type>
      <name>slotDiff</name>
      <anchorfile>classKateModOnHdPrompt.html</anchorfile>
      <anchor>a86eb4d89e216711f773b9095430b1fed</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateNormalIndent</name>
    <filename>classKateNormalIndent.html</filename>
    <base>KateAutoIndent</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateConfig</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a5631f70376ee3f92a0d3ca92941e8a0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateNormalIndent</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>ad35297e6f933a9579e0f676454061f49</anchor>
      <arglist>(KateDocument *doc)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KateNormalIndent</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>af110a8d92fd76bd3b68daa2f5e65e413</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canProcessNewLine</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>aa258c57c44d74ad7d5f1e24ab0364425</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processNewline</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a9d7a2a09184561246299821eb8f3b5bb</anchor>
      <arglist>(KateDocCursor &amp;cur, bool needContinue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processChar</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>aba2614e148668bddea173f2ad5eccd72</anchor>
      <arglist>(TQChar c)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processLine</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a2c7df0875c48c36f48311a6906257d19</anchor>
      <arglist>(KateDocCursor &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processSection</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a548afe658fe3838cd22afcd227f80dfb</anchor>
      <arglist>(const KateDocCursor &amp;, const KateDocCursor &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canProcessLine</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a5af9a44d8cf5de7b769f47ba1fac0a65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual uint</type>
      <name>modeNumber</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a81e0485f0103d57f2b445f7710843117</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isBalanced</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a842a7660c0fc91fd2d4b6e06c4c5d450</anchor>
      <arglist>(KateDocCursor &amp;begin, const KateDocCursor &amp;end, TQChar open, TQChar close, uint &amp;pos) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>skipBlanks</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a50a65e62564a92f3f7cd86dfccca82cb</anchor>
      <arglist>(KateDocCursor &amp;cur, KateDocCursor &amp;max, bool newline) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>uint</type>
      <name>measureIndent</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a261769a1375ae9468c39e2f351d16a7d</anchor>
      <arglist>(KateDocCursor &amp;cur) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>tabString</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>ae501052e298cb787174ad10c382b570f</anchor>
      <arglist>(uint length) const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>tabWidth</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>adee81ffa2216ed6ee542184f20c999a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>indentWidth</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a7b04f05dff6a0ad5281c9955c761e95b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>useSpaces</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>aac5ba1414e98216d7a194b3c3fd07a8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mixedIndent</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>aae472d90605c81baee42e9ff407951d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>keepProfile</name>
      <anchorfile>classKateNormalIndent.html</anchorfile>
      <anchor>a346f0d3d6de829d1d4b328e93649e28f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateRenderer</name>
    <filename>classKateRenderer.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>caretStyles</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>ab7a3a088fe295330b74b0229804d92a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateRenderer</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>abedd406c1742bd97492d4b24dd90a08d</anchor>
      <arglist>(KateDocument *doc, KateView *view=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateRenderer</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>ae2e176c979f7589001a73ff8f125cd95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateAttributes</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>adcf7670596785851f3b7410f49ec22b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>drawCaret</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a8d72a5fb97bf14deeb178f89e923dcad</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrawCaret</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a3294e568d59fa81f81e6c361fd228b26</anchor>
      <arglist>(bool drawCaret)</arglist>
    </member>
    <member kind="function">
      <type>KateRenderer::caretStyles</type>
      <name>caretStyle</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a245262d777264922d9f40666df6c3397</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCaretStyle</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>ac95e04626f18a2fe5a403a32d74ebb87</anchor>
      <arglist>(KateRenderer::caretStyles style)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showTabs</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a7bfb8e67865edb0cfe649e9fe96e5435</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowTabs</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a119b757cd32d9ca0d7129a99c4c8a4a0</anchor>
      <arglist>(bool showTabs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTabWidth</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>aacbc0469aa24844f1290be4892a623be</anchor>
      <arglist>(int tabWidth)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showIndentLines</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a66180868ff2a2345fe5e08d30160790f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowIndentLines</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>acd5660fc97c87b830bf5e5f098d5ee22</anchor>
      <arglist>(bool showLines)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIndentWidth</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a19eba9153a3893f4a076831847e24658</anchor>
      <arglist>(int indentWidth)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showSelections</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a9584115b42b1ad43a5bec6185bee1a23</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowSelections</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a1b91ca8d6d7f86ea15e29f842368acda</anchor>
      <arglist>(bool showSelections)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>increaseFontSizes</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>ac33adb050d2a5fe1bf3785dfda3b6e69</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPrinterFriendly</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a4501b70b8ac9b451bad188e97e606386</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPrinterFriendly</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a5f4ab236c3d5a60fed7fabe8036641fb</anchor>
      <arglist>(bool printerFriendly)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>spaceWidth</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>afaf344a706cd17d6f59e4b383161c3f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>textPos</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a56f99a4df0e305ed6bb1c07723443718</anchor>
      <arglist>(uint line, int xPos, uint startCol=0, bool nearest=true)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>textPos</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>ac1e567a9036df986d4ff68125f42c258</anchor>
      <arglist>(const KateTextLine::Ptr &amp;, int xPos, uint startCol=0, bool nearest=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paintTextLine</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>aa214762cc75054469e45ea64540bc086</anchor>
      <arglist>(TQPainter &amp;paint, const KateLineRange *range, int xStart, int xEnd, const KateTextCursor *cursor=0L, const KateBracketRange *bracketmark=0L)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>paintTextLineBackground</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a665c8f6dd92756b386a1ef41acdbca9f</anchor>
      <arglist>(TQPainter &amp;paint, int line, bool isCurrentLine, int xStart, int xEnd)</arglist>
    </member>
    <member kind="function">
      <type>KateAttribute *</type>
      <name>attribute</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a711409cee1fb05698d14591b6d33fc18</anchor>
      <arglist>(uint pos)</arglist>
    </member>
    <member kind="function">
      <type>KateRendererConfig *</type>
      <name>config</name>
      <anchorfile>classKateRenderer.html</anchorfile>
      <anchor>a1fb5c09ca35283169a110a144b44c423</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateReplacePrompt</name>
    <filename>classKateReplacePrompt.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>ae25ab839d20cbaa6071c93842fa3b45d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateReplacePrompt</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>a158cfdd06f0ad64d6957262ae148646c</anchor>
      <arglist>(TQWidget *parent)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>a1264fbf17fed3e402430c0392f109777</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotClose</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>a74b1a0a31fec886af5def60faf7b4dda</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser1</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>ac2ad0e848f9f502e0cf342a16147447e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser2</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>a0fb767dfaf9748077adfd36da9e3c177</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUser3</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>a081fbb5057e2042d119c608650c23355</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKateReplacePrompt.html</anchorfile>
      <anchor>a52377b1d95f660bc01adb08da545752a</anchor>
      <arglist>(int result)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateScrollBar</name>
    <filename>classKateScrollBar.html</filename>
  </compound>
  <compound kind="class">
    <name>KateSuperCursor</name>
    <filename>classKateSuperCursor.html</filename>
    <base>KateDocCursor</base>
    <member kind="signal">
      <type>void</type>
      <name>positionDirectlyChanged</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a63282cd45a635eff3c7254437377fe8f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>positionChanged</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a6c7ce8db44fb4b6f8982e9507ed0eee3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>positionUnChanged</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>ae65c6638b47b769ed25f337dbaea5afc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>positionDeleted</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a6187adf2a6ed46e5dbac4c732b620a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>charInsertedAt</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a39e8bd4ae565763f52f0b627d095829f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>charDeletedBefore</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>ab966e1e9264b5c19b2831174e28d7ec3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>charDeletedAfter</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a34a20f736657f4b729a8b2d55860a77c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateSuperCursor</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a69aa85c7e5d6e405c24f79b2acbaf351</anchor>
      <arglist>(KateDocument *doc, bool privateC, const KateTextCursor &amp;cursor, TQObject *parent=0L, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atStartOfLine</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a8b7055c4060b5a836daa238fcc7da1f6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEndOfLine</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a605d21410fc29f2075b90497b5b23152</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>moveOnInsert</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>ac88012f99709f25b8188d31819693dd9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMoveOnInsert</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a0f180542681e922137ceb21079de022b</anchor>
      <arglist>(bool moveOnInsert)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator TQString</name>
      <anchorfile>classKateSuperCursor.html</anchorfile>
      <anchor>a4626356ed3d1b5e6407a79a29011691b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateSuperRange</name>
    <filename>classKateSuperRange.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>InsertBehaviour</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a89149476b5c161ecb5f3756ec25c474a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DoNotExpand</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a89149476b5c161ecb5f3756ec25c474aa05cb2a5ea7eab44a88ea308efcabd22e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ExpandLeft</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a89149476b5c161ecb5f3756ec25c474aaec1f9f466caa013f9a3c7d52d48793a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ExpandRight</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a89149476b5c161ecb5f3756ec25c474aad42d3b564ff103c895c1212b30e6b7c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DoNotExpand</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a89149476b5c161ecb5f3756ec25c474aa05cb2a5ea7eab44a88ea308efcabd22e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ExpandLeft</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a89149476b5c161ecb5f3756ec25c474aaec1f9f466caa013f9a3c7d52d48793a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ExpandRight</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a89149476b5c161ecb5f3756ec25c474aad42d3b564ff103c895c1212b30e6b7c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>positionChanged</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a9f7597f4e740659ab3b621a34b91f044</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>positionUnChanged</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>ab140a974594efee158eda0a12f6aab35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>contentsChanged</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a4d8b73683db7cbd1e1d59548549b50d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>boundaryDeleted</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>aa335ab38cc87db719a87ea468bebf9ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eliminated</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a5dd1b8f854f1bf53ea6e320d9a19cd6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tagRange</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>aade151f414400009575a7149dac828ea</anchor>
      <arglist>(KateSuperRange *range)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateSuperRange</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a5e942beac312ab3bb93fdf0677b79f05</anchor>
      <arglist>(KateSuperCursor *start, KateSuperCursor *end, TQObject *parent=0L, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type>KateSuperCursor &amp;</type>
      <name>superStart</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a81f48cf289666659c81e40af6daa091e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KateSuperCursor &amp;</type>
      <name>superEnd</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a3eaea490295753d3e8fdc24a5decb4d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>behaviour</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a77ab5f6130c5af2748802d580ae630ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBehaviour</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>aff7c2f189f9aecd2844e03fd0d23324a</anchor>
      <arglist>(int behaviour)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isValid</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a315b8003241913385897d744b269ff74</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>owns</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>ab9392ce6684e3e571dbcd9c7b5ed8092</anchor>
      <arglist>(const KateTextCursor &amp;cursor) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>includes</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a6cd66c8ed74249b7dcc7632406f3cdb4</anchor>
      <arglist>(const KateTextCursor &amp;cursor) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>includes</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>ac7eb744ee808b1597d540c40826ef325</anchor>
      <arglist>(uint lineNum) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>includesWholeLine</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a878f1b495687157ce966a52994206136</anchor>
      <arglist>(uint lineNum) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>boundaryAt</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>af9a0833552a023bf09b20846c69c8c57</anchor>
      <arglist>(const KateTextCursor &amp;cursor) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>boundaryOn</name>
      <anchorfile>classKateSuperRange.html</anchorfile>
      <anchor>a4b37efd6195c4a09f6ceb1de33cc59f6</anchor>
      <arglist>(uint lineNum) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateSyntaxContextData</name>
    <filename>classKateSyntaxContextData.html</filename>
  </compound>
  <compound kind="class">
    <name>KateSyntaxDocument</name>
    <filename>classKateSyntaxDocument.html</filename>
    <member kind="function">
      <type></type>
      <name>KateSyntaxDocument</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>a51f7edd23cb8efb0ed4cdccb511176e8</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateSyntaxDocument</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>a1b0ab07d51e7c61e804ba7e0e087e603</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setIdentifier</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>a788cc642bdaf8b3387a78f86eb8645de</anchor>
      <arglist>(const TQString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>const KateSyntaxModeList &amp;</type>
      <name>modeList</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>af1629c4e57fd956bb92866d4326ebddd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>nextGroup</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>aee2b57855ed85a67ab8676218f207052</anchor>
      <arglist>(KateSyntaxContextData *data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>nextItem</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>a714dbc2b5150e5710edfe267f97ca3e8</anchor>
      <arglist>(KateSyntaxContextData *data)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>groupItemData</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>a4ca59069f16d41a699ab17595fa661d4</anchor>
      <arglist>(const KateSyntaxContextData *data, const TQString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>KateSyntaxContextData *</type>
      <name>getConfig</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>af815689f0d080b3e2f5c34363e3cca95</anchor>
      <arglist>(const TQString &amp;mainGroupName, const TQString &amp;config)</arglist>
    </member>
    <member kind="function">
      <type>KateSyntaxContextData *</type>
      <name>getGroupInfo</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>a2023929553c5b3d31f4168f4639f67fc</anchor>
      <arglist>(const TQString &amp;mainGroupName, const TQString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList &amp;</type>
      <name>finddata</name>
      <anchorfile>classKateSyntaxDocument.html</anchorfile>
      <anchor>a62f75684d1831818dcb9b39829e4793d</anchor>
      <arglist>(const TQString &amp;mainGroup, const TQString &amp;type, bool clearList=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateSyntaxModeListItem</name>
    <filename>classKateSyntaxModeListItem.html</filename>
  </compound>
  <compound kind="class">
    <name>KateTextCursor</name>
    <filename>classKateTextCursor.html</filename>
  </compound>
  <compound kind="class">
    <name>KateTextLine</name>
    <filename>classKateTextLine.html</filename>
    <base>TDEShared</base>
    <member kind="enumeration">
      <type></type>
      <name>Flags</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a091a298f3c9fb048e47eb2141545fa69</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TDESharedPtr&lt; KateTextLine &gt;</type>
      <name>Ptr</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a67236d42a84ae6b21bc2d2374affb7f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateTextLine</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a92d05e01c751dd48730abc75183b5eb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateTextLine</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>abe766f14675511b12c1bab4bddea49ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFoldingColumnsOutdated</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a42534f8f5bfa9ffc529f8e652204d573</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>foldingColumnsOutdated</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a649a5c7c079544b329aa657100da279f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>length</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a053cce129ff84e4f8e3023a99646f5f6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hlLineContinue</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a98fa0fb3df02ec2d6ba33d30a68ebcc9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAutoWrapped</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>ab7360e457173904eea59c3a3e53426b7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>firstChar</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a99aa872e9ca274ebdcef6b975d02f2e8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>lastChar</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>abbb57e605afdaed789fcd38cbdd49ade</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>nextNonSpaceChar</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a41a53e88a05af31d3d90b84997da3547</anchor>
      <arglist>(uint pos) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>previousNonSpaceChar</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a3235f28fe6a6ca1b558ba04145b0b552</anchor>
      <arglist>(uint pos) const</arglist>
    </member>
    <member kind="function">
      <type>TQChar</type>
      <name>getChar</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>aa53873bc7eadf3f51863eaf6bfd62d70</anchor>
      <arglist>(uint pos) const</arglist>
    </member>
    <member kind="function">
      <type>const TQChar *</type>
      <name>text</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>ab8d60615e1e19e0a9ef6961eb9db5557</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uchar *</type>
      <name>attributes</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a02653b05c4400afba328362504d7f6aa</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>string</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a673b054df568cc6ede0ff07b36c3d2d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>string</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a47e457bf22b27cddc87c8d2a7416fab9</anchor>
      <arglist>(uint startCol, uint length) const</arglist>
    </member>
    <member kind="function">
      <type>const TQChar *</type>
      <name>firstNonSpace</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>af216220391c64f4be439e7b3d752fa44</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>indentDepth</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>aa8824733df485375ae62ef180ca22537</anchor>
      <arglist>(uint tabwidth) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cursorX</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>aae932f552446795d4ff19e7701554a3d</anchor>
      <arglist>(uint pos, uint tabChars) const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>lengthWithTabs</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a4ed44a14a266e3e1e5a90f2254eaea22</anchor>
      <arglist>(uint tabChars) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stringAtPos</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a74594bf837acc0bf113b76bf2d57b8a4</anchor>
      <arglist>(uint pos, const TQString &amp;match) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startingWith</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>af85e6cc99619da176d0217d9d3de5f82</anchor>
      <arglist>(const TQString &amp;match) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>endingWith</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a0f7359b3a6b1373543bff97ca6f53586</anchor>
      <arglist>(const TQString &amp;match) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>searchText</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a0f9c3f2744e6315cb46d4555a1267a01</anchor>
      <arglist>(uint startCol, const TQString &amp;text, uint *foundAtCol, uint *matchLen, bool casesensitive=true, bool backwards=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>searchText</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a4658a1da41187ebe1d92d62cd296e3fc</anchor>
      <arglist>(uint startCol, const TQRegExp &amp;regexp, uint *foundAtCol, uint *matchLen, bool backwards=false)</arglist>
    </member>
    <member kind="function">
      <type>uchar</type>
      <name>attribute</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a02f92b23cb0d4e608e6ca1ecce4795c3</anchor>
      <arglist>(uint pos) const</arglist>
    </member>
    <member kind="function">
      <type>const TQMemArray&lt; short &gt; &amp;</type>
      <name>ctxArray</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a5f47c32f20f98f4f7e4902c2b0488e7e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const bool</type>
      <name>noIndentBasedFolding</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a9a1fc0d284f46bd8e39304c53435ed17</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQMemArray&lt; uint &gt; &amp;</type>
      <name>foldingListArray</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>ab6773b96d05b3987db26ff429e31470c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const TQMemArray&lt; unsigned short &gt; &amp;</type>
      <name>indentationDepthArray</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>ae5d7e7a4f39e8fecc3fc3628957855ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertText</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a9c62cc2af4a9681b373995975a70c647</anchor>
      <arglist>(uint pos, uint insLen, const TQChar *insText, uchar *insAttribs=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeText</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>ad5a3fba950a5affb042de925848fee6c</anchor>
      <arglist>(uint pos, uint delLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>truncate</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a9836e356f5980231415142081ceaef4d</anchor>
      <arglist>(uint newLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHlLineContinue</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>af26cc13d8bed45bef9b6c0119c97eaa8</anchor>
      <arglist>(bool cont)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoWrapped</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a2fd482a76fbd6b0a488f083cde68f7a7</anchor>
      <arglist>(bool wrapped)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContext</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>afba6a891294ddb8ea5ea55e696dbf956</anchor>
      <arglist>(TQMemArray&lt; short &gt; &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoIndentBasedFolding</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>abb164973f00dc603376d6540bfb48c99</anchor>
      <arglist>(bool val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFoldingList</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a21573819af80b0358593ee3ff3814131</anchor>
      <arglist>(TQMemArray&lt; uint &gt; &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIndentationDepth</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a77a535f5bc7177b4b6ae254d0d64f86c</anchor>
      <arglist>(TQMemArray&lt; unsigned short &gt; &amp;val)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>dumpSize</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>a4d0a59f373a44cb6ce3df79dc5e91d53</anchor>
      <arglist>(bool withHighlighting) const</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dump</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>ada37f51d27b4812e022d5cc7ad486a34</anchor>
      <arglist>(char *buf, bool withHighlighting) const</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>restore</name>
      <anchorfile>classKateTextLine.html</anchorfile>
      <anchor>ac9f1d61226359f3d0c03955ad0f7eb29</anchor>
      <arglist>(char *buf)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateUndoGroup</name>
    <filename>classKateUndoGroup.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>UndoType</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>af1000947890f21c6f9dfb624850500f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KateUndoGroup</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>a77e065a8cd764d25ac951b65a2b01f4e</anchor>
      <arglist>(KateDocument *doc)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KateUndoGroup</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>a3fd38d6619d4ac5ff0d407df3c6c5d85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>undo</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>a42565722dfa9d56b9ee7e7033f37a65b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>redo</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>a1f69381066f10ba45117ac227261850c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addItem</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>a443af70c4599aa80c0ae823bdca43c76</anchor>
      <arglist>(KateUndoGroup::UndoType type, uint line, uint col, uint len, const TQString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>merge</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>afc3b74e6277efe4d51591a73751aad60</anchor>
      <arglist>(KateUndoGroup *newGroup, bool complex)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>safePoint</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>afaf43fd5b497692c829d661cdf694233</anchor>
      <arglist>(bool safePoint=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKateUndoGroup.html</anchorfile>
      <anchor>a8cac752c3e2e5a31fe44a4f6bd8f7c0c</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateVarIndent</name>
    <filename>classKateVarIndent.html</filename>
    <base>KateNormalIndent</base>
    <member kind="enumeration">
      <type></type>
      <name>pairs</name>
      <anchorfile>classKateVarIndent.html</anchorfile>
      <anchor>a4db2de2e74959b12d82c93794a62a3f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processNewline</name>
      <anchorfile>classKateVarIndent.html</anchorfile>
      <anchor>ab699ad41266a595195effc451b5f3456</anchor>
      <arglist>(KateDocCursor &amp;cur, bool needContinue)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processChar</name>
      <anchorfile>classKateVarIndent.html</anchorfile>
      <anchor>a2ba1a9df7c56accfc28cf3e91767047f</anchor>
      <arglist>(TQChar c)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processLine</name>
      <anchorfile>classKateVarIndent.html</anchorfile>
      <anchor>a61f4fcc39cc7db212dda5201d83a92a0</anchor>
      <arglist>(KateDocCursor &amp;line)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processSection</name>
      <anchorfile>classKateVarIndent.html</anchorfile>
      <anchor>a1db10aa1b19e8fef0cde5c80c7d54700</anchor>
      <arglist>(const KateDocCursor &amp;begin, const KateDocCursor &amp;end)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canProcessLine</name>
      <anchorfile>classKateVarIndent.html</anchorfile>
      <anchor>a0e6fe213490a4ee40cdf7c75b5e652d0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual uint</type>
      <name>modeNumber</name>
      <anchorfile>classKateVarIndent.html</anchorfile>
      <anchor>a3ce4fc92ce26ad69d5a59d6ff35987db</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KateViewIndentationAction</name>
    <filename>classKateViewIndentationAction.html</filename>
    <base>TDEActionMenu</base>
  </compound>
  <compound kind="class">
    <name>OutputFunction</name>
    <filename>classOutputFunction.html</filename>
  </compound>
  <compound kind="class">
    <name>OutputObject</name>
    <filename>classOutputObject.html</filename>
  </compound>
  <compound kind="class">
    <name>KateCommands::SedReplace</name>
    <filename>classKateCommands_1_1SedReplace.html</filename>
    <base>Kate::Command</base>
    <member kind="function">
      <type>bool</type>
      <name>exec</name>
      <anchorfile>classKateCommands_1_1SedReplace.html</anchorfile>
      <anchor>ae117bbfaf879ca5927a5750c8d6b38f7</anchor>
      <arglist>(class Kate::View *view, const TQString &amp;cmd, TQString &amp;errorMsg)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>help</name>
      <anchorfile>classKateCommands_1_1SedReplace.html</anchorfile>
      <anchor>a5e74b7bd9fd081d13e16e999effde432</anchor>
      <arglist>(class Kate::View *, const TQString &amp;, TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>cmds</name>
      <anchorfile>classKateCommands_1_1SedReplace.html</anchorfile>
      <anchor>a82d8e7934202af6521bb5e213df19e9e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kate::View</name>
    <filename>classKate_1_1View.html</filename>
    <member kind="enumeration">
      <type></type>
      <name>saveResult</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>adc773f12219119924402707cc10b5673</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>flush</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a38d6e175eb9bd40c433a0ec30306021c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual int</type>
      <name>getEol</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a8e9507cf1e9f90eac08c2d20575c9010</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setEol</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a1dd9eb567d11c9855a5ee2c1a6ba1e25</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFocus</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a57b04da8a8097ecdc428c60fc27e10bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>findAgain</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a45e0b9011b4b348207df0f459eb3cbc6</anchor>
      <arglist>(bool forward)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>findAgain</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>aacde7dfa5b1d891e8c8b84eb1129a319</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotIncFontSizes</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>aeae5c98681bc6a2186f577ff517e471e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDecFontSizes</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a42de977080395a9c0970fb947b554603</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>toggleBookmark</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a5531e6be3d4f313f679e80f64d525834</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>View</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a98e8fd6789c2c55b670c430f6795b599</anchor>
      <arglist>(KTextEditor::Document *, TQWidget *, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~View</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>ae91d348477899249062af3ad8ae5313d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isOverwriteMode</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a7e696e626bba01f900145edb934e0a05</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOverwriteMode</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>aff3e02836e63fe4de0130809b4fbc769</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>currentTextLine</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a38780ceeba71bf1104dfa83492d13b02</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>currentWord</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a61c8e2a75f02b58f75a952c6d43eef51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>word</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a3f5df4742bb82f9e82892d7bb3eae507</anchor>
      <arglist>(int, int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insertText</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a5bd39b6cb8b131b62c7b7bee83650c9d</anchor>
      <arglist>(const TQString &amp;mark)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canDiscard</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a0b2aa5036e23019a40d1094172287d62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>isLastView</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>ab0d2eb5e8a334cf629ba489b29ad2fa4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual saveResult</type>
      <name>save</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>af5759ca946b9f07c60a45991eedd44d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual saveResult</type>
      <name>saveAs</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a058c87094581e291c12b1359fc27cbb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>indent</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>ab729fc6be898361e4f11b378a40d2843</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unIndent</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a9ab8c97c16ae7e686b6d8f5ea2318bc9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cleanIndent</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a3a903dde94f96d0b29676b60be2bbfba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>comment</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>acef9291fa1d5370c4f599358c7f1cdf0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>uncomment</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a50fcd70ee76e294f2ee1e7f6f9259e2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>keyReturn</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>af31aa427bbc958e0b14a2b9fa4b12043</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>cursorLeft</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a3d61e26fa702835c967e5ac3fb23be31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>find</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a867bd4cdddc8f94ed2d751ba078b0f4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replace</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>ab37fcc45c6ea294c82e7ef87dc4e3cb3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>gotoLine</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a1150226009485fab3d7a9547ce50bd23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readSessionConfig</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a7101b228a802fa4c2bb17be1f0576699</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeSessionConfig</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>ad3e9f8b1873ac4c7cf9c2e30aae751fc</anchor>
      <arglist>(TDEConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>findPrev</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>ad42b2760898855b5e6bc1e21ca22aa6c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>slotEditCommand</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a46e47544fda30df96c335a7633bc8e46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setIconBorder</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a444bef123e503886b7891ff717137d23</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>toggleIconBorder</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>adf54aa628b3988321d556a4b87b3a6ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setLineNumbersOn</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a7341f89a44275dcbb09452552b9c19ec</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>toggleLineNumbersOn</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a38d07b2b3f1ed9ce5b314f2ea2622677</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>iconBorder</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a85a67164347410105e7849f7613fcdc9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>lineNumbersOn</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>aa16ced87f77c9bb2c1ea467e618c8d2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Document *</type>
      <name>getDoc</name>
      <anchorfile>classKate_1_1View.html</anchorfile>
      <anchor>a05aa609e5de850371a18e5dff91ef186</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Kate</name>
    <filename>namespaceKate.html</filename>
    <class kind="class">Kate::Command</class>
    <class kind="class">Kate::CommandExtension</class>
    <class kind="class">Kate::Document</class>
    <class kind="class">Kate::DocumentExt</class>
    <class kind="class">Kate::View</class>
    <member kind="function">
      <type>KATEPARTINTERFACES_EXPORT Document *</type>
      <name>document</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>ad306089790b58359649832786779633e</anchor>
      <arglist>(KTextEditor::Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KATEPARTINTERFACES_EXPORT DocumentExt *</type>
      <name>documentExt</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>acd2b771c19ff885dc36b07e17f78b0cb</anchor>
      <arglist>(KTextEditor::Document *doc)</arglist>
    </member>
    <member kind="function">
      <type>KATEPARTINTERFACES_EXPORT Document *</type>
      <name>createDocument</name>
      <anchorfile>namespaceKate.html</anchorfile>
      <anchor>a3802630f0936db5bd316d2db953c4fd5</anchor>
      <arglist>(TQObject *parent=0, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KJS</name>
    <filename>namespaceKJS.html</filename>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Kate Editor Component</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
