<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.8">
  <compound kind="class">
    <name>KNS::Button</name>
    <filename>classKNS_1_1Button.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>aboutToShowDialog</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a305796405da47d3f23591c0eb29481f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogFinished</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a88f03ee65d3eae6baf72e6f059927744</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Button</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>aeb5f7298a10b2d96fbe239ea3f4f2947</anchor>
      <arglist>(const TQString &amp;what, const TQString &amp;providerList, const TQString &amp;resourceType, TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Button</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a6f8107586079dc3b1514d802f02b7b91</anchor>
      <arglist>(TQWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProviderList</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a03752faf5cd083295221a815312b0031</anchor>
      <arglist>(const TQString &amp;providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResourceType</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a8314d6d2483e4e2b6193fe7207d01883</anchor>
      <arglist>(const TQString &amp;resourceType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setButtonText</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a90d1b73d467555eb609e76cc300fc0df</anchor>
      <arglist>(const TQString &amp;what)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::DownloadDialog</name>
    <filename>classKNS_1_1DownloadDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotProviders</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a95e84db307ec52eaa935fb1b3f8b03af</anchor>
      <arglist>(Provider::List *list)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a97e113c823a109e75ecb1ce4362ae675</anchor>
      <arglist>(Engine *engine, TQWidget *parent, const TQString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a2c007f9cdde327896ed027cda96aa9f9</anchor>
      <arglist>(TQWidget *parent, const TQString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a9630731160f0ecabbd0dfee2a8dd9752</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a0a62d2918eeba5ef12a24236f3a10e88</anchor>
      <arglist>(TQString type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>ad2e7e335733809225b3558e07a79ac4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProviderList</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a75b001ba766dd68b10e3fcb0ae16c24f</anchor>
      <arglist>(const TQString &amp;providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a68f93deee032477324b9e0326857cdc9</anchor>
      <arglist>(TQString providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProvider</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a420b559100ae8c734be56d257352e1c6</anchor>
      <arglist>(Provider *p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a4f8c3e16235c8b5187818015b1bd2a22</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>ac3b66252e19fdde0fe45cc8911d270e5</anchor>
      <arglist>(Entry *entry, const TQStringList &amp;variants)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a4fb3da65ee0ff36b430e9e84448e8b99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>aa609c46abe1866cfcb2f6d16cdc061f1</anchor>
      <arglist>(Engine *engine, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a595f4f9391b0156da856fb4355a55074</anchor>
      <arglist>(TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; Entry &gt;</type>
      <name>installedEntries</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a46e0e7c071cb5e3f2ddf9f976329cd08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>open</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a97168bc37bcb3056b3ac127819f4fc9f</anchor>
      <arglist>(const TQString &amp;type, const TQString &amp;caption)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>open</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>afe4970ecdd394e1576812621a7eb5452</anchor>
      <arglist>(TQString type) TDE_DEPRECATED</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Engine</name>
    <filename>classKNS_1_1Engine.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>uploadFinished</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>aa7e0c6905a06312f3b1fb92df172c0dd</anchor>
      <arglist>(bool result)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a025d6b251f68714d7a0d0a7f5a8234bf</anchor>
      <arglist>(TDENewStuff *newStuff, const TQString &amp;type, TQWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a31d22a04a37d8633a0ca551913d14c75</anchor>
      <arglist>(TDENewStuff *newStuff, const TQString &amp;type, const TQString &amp;providerList, TQWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Engine</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a8ef7030a089ecb30bbfcb9e43094717a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>type</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a3c69faf5e892fc5f2d09e32fcd9fc9a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a8436bc8e61e7ee73559872c54ee77064</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a2e696f49d8e83bf45b2a43578b3c6a40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>afc0ba08e06d9a70bdd6732e68d876d75</anchor>
      <arglist>(const TQString &amp;fileName=TQString::null, const TQString &amp;previewName=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>aeb2da22913b35e223e324fb321d1a6f5</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestMetaInformation</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>af702680e5d70ab246f63dc73f0b1c4a7</anchor>
      <arglist>(Provider *provider)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a26e9cfd7a288a5b584a37f57002102a1</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ignoreInstallResult</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>adeac24bcc4755f69141973ef037b85c9</anchor>
      <arglist>(bool ignore)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Entry</name>
    <filename>classKNS_1_1Entry.html</filename>
    <member kind="function">
      <type></type>
      <name>Entry</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a2a965b2c36bb4054fc61d724df7817d2</anchor>
      <arglist>(const TQDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Entry</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>ace080276d727881acfee7197b85f0b65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a766b9ded36e54ee318005f1ffabc1925</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>ae17938540709b2f2cc2a8b9548bd6cdc</anchor>
      <arglist>(const TQString &amp;, const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a3112826a5dd3e167b982c4e840f7d37b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a917022effe7525e07b27bac1a3d9f024</anchor>
      <arglist>(const TQString &amp;lang) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>ae0b2495e6d1a4443fe592435a22a19b3</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>type</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>ac4671fad9a0d4ec8d72ecb1e134d2971</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAuthor</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>afe100a34a09a7d41fee205b8692be55b</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>author</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>ac8a5a3b6f8977dad4d35c89331c9ff50</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAuthorEmail</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a90daa5f4c8d0eda7fb3404190e355d0e</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>authorEmail</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a00172a5d3b2c89dc64d47b3cf9f293ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLicence</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a70ecd0a44bb0892248ad18fe2c86f9b3</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>license</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>af0816bbd209038755a2bfa53a3057627</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSummary</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a38cb7a6ec5a8ee63c06b8e79b263ef42</anchor>
      <arglist>(const TQString &amp;, const TQString &amp;lang=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>summary</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>adc5228053c49db1d8a5946d7e484812e</anchor>
      <arglist>(const TQString &amp;lang=TQString::null) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVersion</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>af770a06bc024d5c3dfcf65e4a35c766d</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>version</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>aeec2e11c600e8fb22dca1fcf8cf832a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRelease</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>aded5837b3134f692b18c8c3e117a6a95</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>release</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>aaa35e80a1a186569140ceb6407bbde4b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReleaseDate</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>aab5a3a1f0a1def7190309775f17a7e15</anchor>
      <arglist>(const TQDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQDate</type>
      <name>releaseDate</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a46d54f5fa398d2f19137107f615a5ea9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPayload</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>af1c259fbdf26329cd44433e01a97500a</anchor>
      <arglist>(const KURL &amp;, const TQString &amp;lang=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>payload</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a801a7c8351341bb90b9e00e37c61995f</anchor>
      <arglist>(const TQString &amp;lang=TQString::null) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreview</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>af7a237cc1e2b1746b9aaacd06e03e4c8</anchor>
      <arglist>(const KURL &amp;, const TQString &amp;lang=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>preview</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a978720d0f1cf35b38836263c66ca36a0</anchor>
      <arglist>(const TQString &amp;lang=TQString::null) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRating</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>aa0adcacedeedc61b34040485068337ff</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rating</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a195c5c6a890ccb4c4109d6a43e795f12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDownloads</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a8adf7b48f2954a4362b5e881337330fd</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>downloads</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a2edd87bde662ae717ceb2b62ffe29f3d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fullName</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a0c1722ec90098aed6ef61fb4e9d58266</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>langs</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a86b8bf2e9707202b67735a24815a6bf7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Provider</name>
    <filename>classKNS_1_1Provider.html</filename>
    <member kind="function">
      <type></type>
      <name>Provider</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a405d452d8a31b4bd3fd8c358e7217ff0</anchor>
      <arglist>(TQString type=TQString::null, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Provider</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a7f6ae055061d2de76f6550646e20ca7b</anchor>
      <arglist>(const TQDomElement &amp;, TQString type=TQString::null, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Provider</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a8a5fe23233c869ae2b105beaa38dd648</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loaded</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a67be7deb4c06cbaf0a8d44034420e212</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>adde8535deec8cfc5508daa3eb623b097</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a08258b1a66bfeb3706cf827bdcf68f75</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDownloadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>af6e4c4c4e605e922c63bd8e37ab5e68f</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>downloadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a0178d4a6b454fcbf6d5d26fd84fe6ada</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>downloadUrlVariant</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>aa91047b1bf0c5371831624aeec4e4f84</anchor>
      <arglist>(TQString variant) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>ae9b61ba18cc97a3efa123a4901bc444a</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>uploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a1b9fd37316a7e11138ff6f8877337233</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoUploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a93314ece97574921e065195ee42df60c</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>noUploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a5ba043897719838f1f5fb4a61819bf99</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoUpload</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a183b09f762aa0182efaef044efffdce5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>noUpload</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a51e876317e79cbe8af04a17be1d7389d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a36d8bd17349a8f1447872fc448b314e9</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>icon</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a550098251aebd146a3ef479380c0a6cb</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::ProviderDialog</name>
    <filename>classKNS_1_1ProviderDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>ProviderDialog</name>
      <anchorfile>classKNS_1_1ProviderDialog.html</anchorfile>
      <anchor>a125043b7a5c63b460a18ebb56c6f9562</anchor>
      <arglist>(Engine *engine, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKNS_1_1ProviderDialog.html</anchorfile>
      <anchor>af7bdb83bc6be6fbf36b930ce356be7c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProvider</name>
      <anchorfile>classKNS_1_1ProviderDialog.html</anchorfile>
      <anchor>ab083a12b698737f248db7cfece5360b4</anchor>
      <arglist>(Provider *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::ProviderLoader</name>
    <filename>classKNS_1_1ProviderLoader.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>providersLoaded</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>a8ee69614bbd85d06841afaf28dbc8119</anchor>
      <arglist>(Provider::List *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProviderLoader</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>a28c2838ef1d60c297c9f39115dc069fb</anchor>
      <arglist>(TQWidget *parentWidget)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>aa06aebcb0feb87c7177190da097c98f2</anchor>
      <arglist>(const TQString &amp;type, const TQString &amp;providerList=TQString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDENewStuff</name>
    <filename>classTDENewStuff.html</filename>
    <member kind="function">
      <type></type>
      <name>TDENewStuff</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>ae00b11e58bf5a94bf84f05ebc24e6d2b</anchor>
      <arglist>(const TQString &amp;type, TQWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDENewStuff</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>adacf9fef159391d85977476a96904e46</anchor>
      <arglist>(const TQString &amp;type, const TQString &amp;providerList, TQWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>type</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>a258cba3c27a30a1ba70d0961b12054b6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>a7d1e6429bb1495210d0dd10d2779b28f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>ae493141d6920d4f1ce05b7ca9ba9d4a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>a9017937e93c1a65a85c4235265b4a32f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>a724ce531f2d06df3988f98ed432af353</anchor>
      <arglist>(const TQString &amp;fileName, const TQString previewName)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>install</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>aba741a6bf9cf97b295ca1c5de0959b4c</anchor>
      <arglist>(const TQString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>createUploadFile</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>a47bd037de47a24216a6cf301da11c784</anchor>
      <arglist>(const TQString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>downloadDestination</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>a11cfa5a1c7d2854d4adf90539ee69ace</anchor>
      <arglist>(KNS::Entry *entry)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KNS::Engine *</type>
      <name>engine</name>
      <anchorfile>classTDENewStuff.html</anchorfile>
      <anchor>a077b04f984c7fe5c1197b3f5bae0f943</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDENewStuffGeneric</name>
    <filename>classTDENewStuffGeneric.html</filename>
    <base>TDENewStuff</base>
    <member kind="function">
      <type></type>
      <name>TDENewStuffGeneric</name>
      <anchorfile>classTDENewStuffGeneric.html</anchorfile>
      <anchor>a971517812234f84aa135123447b2187c</anchor>
      <arglist>(const TQString &amp;type, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>install</name>
      <anchorfile>classTDENewStuffGeneric.html</anchorfile>
      <anchor>a21198e6355cf380a67ea57dac619a4c3</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createUploadFile</name>
      <anchorfile>classTDENewStuffGeneric.html</anchorfile>
      <anchor>ad31fbbc68ce3485bbcfb56b95efb59bf</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>downloadDestination</name>
      <anchorfile>classTDENewStuffGeneric.html</anchorfile>
      <anchor>a5e2514f1118ccdd3d2f97ad7e1a40121</anchor>
      <arglist>(KNS::Entry *entry)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDENewStuffSecure</name>
    <filename>classTDENewStuffSecure.html</filename>
    <base>TDENewStuff</base>
    <member kind="function">
      <type></type>
      <name>TDENewStuffSecure</name>
      <anchorfile>classTDENewStuffSecure.html</anchorfile>
      <anchor>a532b038613d5d6efd109c4ed39747e3a</anchor>
      <arglist>(const TQString &amp;type, TQWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>install</name>
      <anchorfile>classTDENewStuffSecure.html</anchorfile>
      <anchor>a455063a2d9f9e372d7e7332276d06683</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createUploadFile</name>
      <anchorfile>classTDENewStuffSecure.html</anchorfile>
      <anchor>a919ab383303b59d48000b640a83972fd</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>downloadResource</name>
      <anchorfile>classTDENewStuffSecure.html</anchorfile>
      <anchor>ac26c16b73a37c98e4f0c2e99c0289261</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>uploadResource</name>
      <anchorfile>classTDENewStuffSecure.html</anchorfile>
      <anchor>aeb6bb1cfeebfd7b00111da1b08b59b28</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>installResource</name>
      <anchorfile>classTDENewStuffSecure.html</anchorfile>
      <anchor>ae75997f2e45c2017da82dafc0ce07609</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>removeTempDirectory</name>
      <anchorfile>classTDENewStuffSecure.html</anchorfile>
      <anchor>a578ab236c27fc29517c58ad178c01935</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::UploadDialog</name>
    <filename>classKNS_1_1UploadDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>UploadDialog</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>a64a3f583172b0d25d4b0c9fa53ad4a79</anchor>
      <arglist>(Engine *engine, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UploadDialog</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>a0e591afbc281abe129f649ba94fe4cb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreviewFile</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>a877b52e93bfd6a3a7b8a644cc67dc0ed</anchor>
      <arglist>(const TQString &amp;previewFile)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPayloadFile</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>a51d2287c7604b9bb36951ebaf010b220</anchor>
      <arglist>(const TQString &amp;payloadFile)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KNS</name>
    <filename>namespaceKNS.html</filename>
    <class kind="class">KNS::Button</class>
    <class kind="class">KNS::DownloadDialog</class>
    <class kind="class">KNS::Engine</class>
    <class kind="class">KNS::Entry</class>
    <class kind="class">KNS::Provider</class>
    <class kind="class">KNS::ProviderDialog</class>
    <class kind="class">KNS::ProviderLoader</class>
    <class kind="class">KNS::UploadDialog</class>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>Collaborative Data Sharing in Trinity Applications</title>
    <filename>index.html</filename>
  </compound>
</tagfile>
